<?php

/*******************************************
 *                                         *
 *     Filmverwaltung mit PHP & MySQL      *
 *                                         *
 *******************************************
 *                                         *
 * Copyright: ab 2005 Dominik Erdmann      *
 *  Internet: www.der-domi.de              *
 *     Email: kontakt@der-domi.de          *
 *                                         *
 *******************************************
 *                                         *
 * Das Skript darf nach eigenem Belieben   *
 * gendert werden. Copyright-Hinweise und *
 * Links auf www.der-domi.de drfen nicht  *
 * verndert werden und mssen jederzeit   *
 * sichtbar bleiben!                       *
 *                                         *
 *******************************************
 */

/*
 * Startseite
 */


if ( $_SESSION['UserRechte'] < 300 )
    exit();
    
if($settings->activateSortierTitel)
  $titel = 'SortierTitel';
else
  $titel = 'Titel';

if ( $myVar->MenuID == 287 && $_SESSION['UserRechte'] > 0 )
{

        echo "<div id=\"topfilme\"></div>";
        echo "<div id=\"neuefilme\"></div>";

        echo "<table id=\"filmTable\" width=\"100%\">";

    if ( $settings->anzTopFilme )
    {
        echo "<tr>";
        echo "<td style=\"vertical-align:top; padding:2em; width:50%;\">";

        // passenden Query finden
        $sql = "SELECT * FROM (SELECT co.FILME_FilmID, FilmID, Titel, Originaltitel, Sortiertitel, FSK, Jahr, Laufzeit, co.Rang, Appendix, Extension FROM $myDB->FILME fi " .
                "INNER JOIN $myDB->COVERS co ON co.FILME_FilmID=fi.FilmID ";
        if ( $myVar->GenreID != 0 )
            $sql .= " INNER JOIN $myDB->FILME_GENRES fg ON fi.FilmID = fg.FILME_FilmID AND fg.GENRES_GenreID = $myVar->GenreID";
        if (  $myVar->FormatID != 0 )
            $sql .= " INNER JOIN $myDB->FORMATE ON fi.FORMATE_FormatID = FormatID AND FormatID = $myVar->FormatID";
        if (  $myVar->CollectID != 0 )
            $sql .= " INNER JOIN $myDB->COLLECT ON fi.COLLECT_CollectID = CollectID AND CollectID = $myVar->CollectID";

        $sql .= " WHERE istTopfilm=1 AND hatThumbnail=1 AND " . $myDB->sqlForPriv;
        $sql .= " ORDER BY RAND() LIMIT $settings->anzTopFilme) AS a ORDER BY $titel ASC";
        
        $rs = $myDB->go($sql);
        for ( $i=0; $row = $myDB->getRow($rs); ++$i )
        {
            $vars = array();
            $vars['MenuID'] = 280;
            $vars['FilmID'] = $row['FilmID'];
            $vars = $myVar->getRequest($vars);
            
            if($settings->showArtikelFirst) {
              $row['Titel'] = PrependStrippedArticle($row['Titel']);
              $row['Originaltitel'] = PrependStrippedArticle($row['Originaltitel']);
            }

// Bugfix Designversion: Sonderzeichenbug PopUp             | www.LifesHammer.de - Webmaster@LifesHammer.de
        $row['Originaltitel'] = str_replace("'", "\'", $row['Originaltitel']);
// Ende: Bugfix Designversion: Sonderzeichenbug PopUp       | www.LifesHammer.de - Webmaster@LifesHammer.de

        echo "<a href=\"{$_SERVER['PHP_SELF']}?{$vars}Rang={$row2['Rang']}\" onmouseover=\"toolTip(' &lt;table width=\'100%\' &gt; &lt;tr&gt; &lt;td width=\'25%\' &gt; &lt;img src=\'$cover_dir/{$row['FILME_FilmID']}_{$row['Rang']}_{$row['Appendix']}_small.{$row['Extension']}\' /&gt; &lt;/td&gt; &lt;td style=\'text-align:left; vertical-align:top;\' &gt; &lt;strong&gt; {$row['Originaltitel']} &lt;/strong&gt; &lt;br/&gt; &lt;br/&gt; Jahr: {$row['Jahr']} &lt;br/&gt; Laufzeit: {$row['Laufzeit']} Minuten &lt;br/&gt; FSK: {$row['FSK']} &lt;/td&gt; &lt;/tr&gt; &lt;/table&gt; ')\"  onmouseout=\"toolTip()\" >{$row['Titel']}</a> ";

        }

        echo "</td>";

    }
    
    
    if ( $settings->anzNeueFilme )
    {
        echo "<td style=\"vertical-align:top; padding:2em; width:50%;\">";

        // passenden Query finden
        $sql = "SELECT co.FILME_FilmID, FilmID, Titel, Originaltitel, FSK, Jahr, Laufzeit, co.Rang, Appendix, Extension FROM $myDB->FILME fi " .
                "INNER JOIN $myDB->COVERS co ON co.FILME_FilmID=fi.FilmID ";
        if ( $myVar->GenreID != 0 )
            $sql .= " INNER JOIN $myDB->FILME_GENRES fg ON fi.FilmID = fg.FILME_FilmID AND fg.GENRES_GenreID = $myVar->GenreID";
        if (  $myVar->FormatID != 0 )
            $sql .= " INNER JOIN $myDB->FORMATE ON fi.FORMATE_FormatID = FormatID AND FormatID = $myVar->FormatID";
        if (  $myVar->CollectID != 0 )
            $sql .= " INNER JOIN $myDB->COLLECT ON fi.COLLECT_CollectID = CollectID AND CollectID = $myVar->CollectID";

        $sql .= " WHERE hatThumbnail=1 AND " . $myDB->sqlForPriv;
        $sql .= " ORDER BY inserted DESC, FilmID DESC LIMIT $settings->anzNeueFilme";
        
        $rs = $myDB->go($sql);
        for ( $i=0; $row = $myDB->getRow($rs); ++$i )
        {
            $vars = array();
            $vars['MenuID'] = 280;
            $vars['FilmID'] = $row['FilmID'];
            $vars = $myVar->getRequest($vars);
            
            if($settings->showArtikelFirst) {
              $row['Titel'] = PrependStrippedArticle($row['Titel']);
              $row['Originaltitel'] = PrependStrippedArticle($row['Originaltitel']);
            }
 
// Bugfix Designversion: Sonderzeichenbug PopUp             | www.LifesHammer.de - Webmaster@LifesHammer.de
        $row['Originaltitel'] = str_replace("'", "\'", $row['Originaltitel']);
// Ende: Bugfix Designversion: Sonderzeichenbug PopUp       | www.LifesHammer.de - Webmaster@LifesHammer.de

        echo "<a href=\"{$_SERVER['PHP_SELF']}?{$vars}Rang={$row2['Rang']}\" onmouseover=\"toolTip(' &lt;table width=\'100%\' &gt; &lt;tr&gt; &lt;td width=\'25%\' &gt; &lt;img src=\'$cover_dir/{$row['FILME_FilmID']}_{$row['Rang']}_{$row['Appendix']}_small.{$row['Extension']}\' /&gt; &lt;/td&gt; &lt;td style=\'text-align:left; vertical-align:top;\' &gt; &lt;strong&gt; {$row['Originaltitel']} &lt;/strong&gt; &lt;br/&gt; &lt;br/&gt; Jahr: {$row['Jahr']} &lt;br/&gt; Laufzeit: {$row['Laufzeit']} Minuten &lt;br/&gt; FSK: {$row['FSK']} &lt;/td&gt; &lt;/tr&gt; &lt;/table&gt; ')\"  onmouseout=\"toolTip()\" >{$row['Titel']}</a> ";
           
        }
        echo "</td>";
        echo "</tr>";
        echo "</table>";

    }

    if ( $settings->anzBestFilme )
    {
        echo "<div id=\"bestefilme\"></div>";
        echo "<div style=\"padding: 2em\">";

        // passenden Query finden
	if ($settings->randomSort != 0) {
	        $sql = "SELECT * FROM (SELECT AVG(Bewertung) AS Bewertung, co.FILME_FilmID, FilmID, Titel, co.Rang, Appendix, Extension FROM $myDB->FILME fi " .
	                "INNER JOIN $myDB->COVERS co ON co.FILME_FilmID=fi.FilmID " .
        	        "INNER JOIN $myDB->FILME_USERS fu ON fu.FILME_FilmID=fi.FilmID ";
        } else {
		$sql = "SELECT AVG(Bewertung) AS Bewertung, COUNT(co.FILME_FilmID) AS Anzahl, co.FILME_FilmID, FilmID, Titel, co.Rang, Appendix, Extension FROM $myDB->FILME fi " .
                	"INNER JOIN $myDB->COVERS co ON co.FILME_FilmID=fi.FilmID " .
                	"INNER JOIN $myDB->FILME_USERS fu ON fu.FILME_FilmID=fi.FilmID ";
	}
        if ( $myVar->GenreID != 0 )
            $sql .= " INNER JOIN $myDB->FILME_GENRES fg ON fi.FilmID = fg.FILME_FilmID AND fg.GENRES_GenreID = $myVar->GenreID";
        if (  $myVar->FormatID != 0 )
            $sql .= " INNER JOIN $myDB->FORMATE ON fi.FORMATE_FormatID = FormatID AND FormatID = $myVar->FormatID";
        if (  $myVar->CollectID != 0 )
            $sql .= " INNER JOIN $myDB->COLLECT ON fi.COLLECT_CollectID = CollectID AND CollectID = $myVar->CollectID";

	if ($settings->randomSort != 0) {
        	$sql .= " WHERE hatThumbnail=1 AND " . $myDB->sqlForPriv;
	} else {
		$sql .= " WHERE hatThumbnail=1 AND " . $myDB->sqlForPriv;
	}
        $sql .= " GROUP BY fu.FILME_FilmID ";
	if ($settings->randomSort != 0) {
		$sql .= " HAVING Bewertung >= $settings->randomSort ORDER BY RAND() LIMIT $settings->anzBestFilme) AS a ORDER BY Bewertung DESC, Titel";
        } else {
		$sql .= " ORDER BY Bewertung DESC, Anzahl DESC, Titel LIMIT $settings->anzBestFilme";
	}
        
        $rs = $myDB->go($sql);
        for ( $i=0; $row = $myDB->getRow($rs); ++$i )
        {
            $vars = array();
            $vars['MenuID'] = 280;
            $vars['FilmID'] = $row['FilmID'];
            $vars = $myVar->getRequest($vars);
            
            echo "<a title=\"{$row['Titel']}\" class=\"filmThumb\" href=\"{$_SERVER['PHP_SELF']}?$vars\">";
            echo "<img src=\"$cover_dir/{$row['FILME_FilmID']}_{$row['Rang']}_{$row['Appendix']}_small.{$row['Extension']}\" alt=\"cover\" style=\"width:65px; height:90px;\" title=\"{$row['Titel']}\" />";
            echo "</a>";
        }
        echo "</div>";
        echo "<div style=\"margin:1em\"></div>";
    }

}

?>



