<?php

/*******************************************
 *                                         *
 *     Filmverwaltung mit PHP & MySQL      *
 *                                         *
 *******************************************
 *                                         *
 * Copyright: ab 2005 Dominik Erdmann      *
 *  Internet: www.der-domi.de              *
 *     Email: kontakt@der-domi.de          *
 *                                         *
 *******************************************
 *                                         *
 * Das Skript darf nach eigenem Belieben   *
 * gendert werden. Copyright-Hinweise und *
 * Links auf www.der-domi.de drfen nicht  *
 * verndert werden und mssen jederzeit   *
 * sichtbar bleiben!                       *
 *                                         *
 *******************************************
 */

/*
 * einen Benutzer hinzufgen oder ndern
 */


if ( $_SESSION['UserRechte'] < 300 )
    exit();

// einen Benutzer hinzufgen / ndern
if ( isset($demosystem) && ( $_SESSION['UserID'] == 1 || $_SESSION['UserID'] == 2 ) )
    $myVar->warnung[] = "Testadmin oder Testuser k&ouml;nnen nicht ge&auml;ndert werden!";
elseif ( $myVar->MenuID == 295 && isset($_POST['change']) )
{
    // vorsichtshalber ein Leerzeichen im PWD durch ein 'X' ersetzen!
    $PWDold = $myDB->escape_string( str_replace( " ", "X", $_REQUEST['PWDold'] ) );
    $sql = "SELECT COUNT(*) AS Anz FROM $myDB->USERS WHERE UserID = {$_SESSION['UserID']} AND PWD = SHA($PWDold)";
    $rs = $myDB->go($sql);
    $row = $myDB->getRow($rs);

    if ( $row['Anz'] != 1 )
        $myVar->warnung[] = "Aktuelles Passwort stimmt nicht!";
    else
    {
        //Email berprfen
        if ( !preg_match( "/$pregEmail/", strtolower($_REQUEST['Email']), $reg ) )
            $myVar->warnung[] = "Ung&uuml;litge Emailadresse";
        else
        {
            $email = $reg[0];
            
            if ( strlen($_REQUEST['PWDnew1']) < 6 && strlen($_REQUEST['PWDnew2']) > 0 )
                $myVar->warnung[] ="Passwort muss mindestens 6 Zeichen lang sein.";
            else if ( $_REQUEST['PWDnew1'] != $_REQUEST['PWDnew2'] )
                $myVar->warnung[] = "Neue Passw&ouml;rter stimmen nicht &uuml;berein!";
            else
            {
                $PWDnew = $myDB->escape_string( str_replace( " ", "X", $_REQUEST['PWDnew1'] ) );
                $sql = "UPDATE $myDB->USERS SET Email = '$email', getEmail={$_REQUEST['getEmail']}";
                if ( $_SESSION['UserRechte'] != 900 )
                    if ($_SESSION['UserRechte'] == 600 ) 
                        $sql .= ", getResEmails={$_REQUEST['getResEmails']}";
                if ( $settings->showHistory )
                    $sql .= ", showUserName={$_REQUEST['showUserName']}";
                if ( strlen($_REQUEST['PWDnew1']) > 0 )
                    $sql .= ", PWD = SHA($PWDnew)";
                $sql .= " WHERE UserID = {$_SESSION['UserID']}";
                $rs = $myDB->go($sql);
                
                //$myVar->Style = '01';//$_REQUEST['Style'];
                
                $myVar->erfolg[] = "&Auml;nderungen erfolgreich!";
            }
        }
    }
}

?>
