<?php

/*******************************************
 *                                         *
 *     Filmverwaltung mit PHP & MySQL      *
 *                                         *
 *******************************************
 *                                         *
 * Copyright: ab 2005 Dominik Erdmann      *
 *  Internet: www.der-domi.de              *
 *     Email: kontakt@der-domi.de          *
 *                                         *
 *******************************************
 *                                         *
 * Das Skript darf nach eigenem Belieben   *
 * gendert werden. Copyright-Hinweise und *
 * Links auf www.der-domi.de drfen nicht  *
 * verndert werden und mssen jederzeit   *
 * sichtbar bleiben!                       *
 *                                         *
 *******************************************
 */

/*
 * Falls einfgen oder ndern eines Film
 */


if ( $_SESSION['UserRechte'] < 600 )
    exit();

if ( $myVar->MenuID == 598 && $_SESSION['UserRechte'] > 300 )
{
    // wenn nicht einfgen, dann Werte holen
    if ( $myVar->printChange == TRUE && !count( $myVar->warnung ) )
    {
        // Filmdaten holen
        $sql = "SELECT * 
                  FROM $myDB->FILME AS fi LEFT OUTER 
                  JOIN $myDB->FILME_TRAILER_TYP AS tr ON fi.FilmID = tr.FILME_FilmID 
                  WHERE fi.FilmID = $myVar->FilmID";
        $rs = $myDB->go($sql);
        $row = $myDB->getRow($rs);
        
        // Regisseur holen
        $Regisseure = getName ( 'Regisseure', $myVar->FilmID, $myDB, $settings );
        // Schauspieler holen
        $Actors = getName ( 'Actors', $myVar->FilmID, $myDB, $settings );
        // Untertitel holen
        $Untertitel = getName ( 'Untertitel', $myVar->FilmID, $myDB, $settings );
    }
    
    // wenn Fehler beim Einfgen, dann Werte wieder setzen
    elseif ( count ( $myVar->warnung ) )
    {
        $row['Titel'] = $_REQUEST['Titel'];
        $row['Originaltitel'] = $_REQUEST['Originaltitel'];
        $row['Sortiertitel'] = $_REQUEST['Sortiertitel'];
        $row['myFilmID'] = $_REQUEST['setMyFilmID'];
        $row['COLLECT_CollectID'] = $_REQUEST['setCollectID'];
        $row['FORMATE_FormatID'] = $_REQUEST['setFormatID'];
        $row['brauchtPrivileg'] = $_REQUEST['brauchtPrivileg'];
        $row['Jahr'] = $_REQUEST['Jahr'];
        $row['Land'] = $_REQUEST['Land'];
        $row['Bildformat'] = $_REQUEST['Bildformat'];
        $row['Aufloesung'] = $_REQUEST['Aufloesung'];
        $row['Laufzeit'] = $_REQUEST['Laufzeit'];
        $row['FSK'] = $_REQUEST['FSK'];
        if (  array_key_exists( 'FSKunbekannt', $_REQUEST ) )
            $row['FSKunbekannt'] = $_REQUEST['FSKunbekannt'];
        $row['EAN'] = $_REQUEST['EAN'];
        $row['Inhalt'] = urldecode($_REQUEST['Inhalt']);
        $row['Bemerkung'] = $_REQUEST['Bemerkung'];
        $row['Webseite'] = $_REQUEST['Webseite'];
        $Regisseure = $_REQUEST['Regisseure'];
        $Actors = $_REQUEST['Actors'];
        $Untertitel = $_REQUEST['Untertitel'];
        $row['TrailerConfig'] = $_REQUEST['Trailer'];
    }
    else
    {
    	$row = array();
    	$Regisseure = "";
    	$Actors = "";
        $Untertitel = "";
    }
    echo "<table style=\"width: 100%\">";
    echo "<tr>";
    echo "<td style=\"padding: 13px 0 0 13px\">";
    $import->printSearch( $myVar );
    $import->printImportID( $myVar );
    
    if ( isset($_GET['searchText']) ) {
        
        echo $import->{strtolower($import->importTypes[$_GET['importDB']])."search"}();
    }
    
    if ( isset($_GET['importID']) ) {
        
        echo $import->{strtolower($import->importTypes[$_GET['importDB']])."import"}($myVar);
        
        if ( $ret != -1 ) {
            
            /*
            echo "<pre>";
            print_r($import->varToImport);
            echo "</pre>";
            */
            
            if ($row['Titel'])
	    	$dataOverwrittenByImport = true;

            $row['Titel'] = $import->getData('title');
            $row['Originaltitel'] = $import->getData('original_title');
            $row['Sortiertitel'] = $import->getData('title');
            $row['Land'] = $import->getData('land');
            $row['Jahr'] = $import->getData('year');
            $row['Bildformat'] = $import->getData('Bildformat');
            $row['Aufloesung'] = $import->getData('Aufloesung');
            $row['Laufzeit'] = $import->getData('Laufzeit');
            $row['FSK'] = $import->getData('fsk');
            if ( $row['FSK'] == "" )
                $row['FSKunbekannt'] = 1;
            $row['CoverURL'] = $import->getData('cover');
            $row['Webseite'] = $import->getData('url');
            $row['Inhalt'] = $import->getData('inhalt');
            $row['EAN'] = $import->getData('EAN');
            $Format = $import->getData('Format');
            $Regisseure = $import->getData('regisseure');
            $Actors = $import->getData('actors');
            $Untertitel = $import->getData('Untertitel');
            $Tonformat = explode(',',$import->getData('Tonformat'));
            $Sprache = explode(',',$import->getData('Sprache'));
            $additional_data = array();
            
            $data = $import->getData('genres');
            if ( strlen($data) ) {
                
                $additional_data[]['name'] = "Genres";
                $additional_data[count($additional_data)-1]['data'] = $data;
            }
            
            $data = $import->getData('versions');
            if ( strlen($data) ) {
                
                $additional_data[]['name'] = "Versionen (Fassungen)";
                $additional_data[count($additional_data)-1]['data'] = $data;
            }

            echo "<div style=\"font-family:Tahoma; font-size:0.82em; padding: 1em 0 1em 0.4em;\"><a href=\"". $import->getLinkToDB( $_GET['importID'] ) . "\" target=\"_blank\" >Quelle: <strong>http://www.ofdb.de/view.php?page=film&fid=".$_GET['importID']."</strong></a></div>";

            for ( $i=0; $i<count($additional_data); ++$i ) {
                
                if ( $i==0 )
                    echo "<div style=\"font-family:Tahoma; font-size:0.82em; padding: 1em 0 0 0.4em;\">Informationen, welche -eventuell- nicht automatisch eingef&uuml;gt werden k&ouml;nnen:</div>";
                
                echo "<div style=\"font-family:Tahoma; font-size:0.82em; padding: 1em 0 0 0.4em; font-weight:bold;\">{$additional_data[$i]['name']}:</div>";
                echo "<div style=\"font-family:Tahoma; font-size:0.82em; padding: 0 0 0 0.4em;\">{$additional_data[$i]['data']}</div>";
            }
            

        }
    }

    if ( isset($_GET['importDB']) && isset($_GET['searchText']) ) {
        $import->printSearchResult($myVar);
        if ($row['Titel']) 
    		$dataAvailableOnImportListing = TRUE;
	}
    echo "</td>";
    echo "</tr>";
    echo "</table>";
    echo "<hr style=\"color: black; height: 1px; width: 100%\"/>";
   
    
    echo "<form method=\"post\" enctype=\"multipart/form-data\" action=\"{$_SERVER['PHP_SELF']}\">";
    echo "<div id=\"genres_covers\">";
    echo "<p style=\"padding: 0 1px 0 0; margin:0 1em 0.3em 0\"><strong>Genres ausw&auml;hlen</strong></p>";
    
    // Genres ausgeben    
    $sql2 = "SELECT GenreID, Name, ImportText FROM $myDB->GENRES
              LEFT OUTER JOIN $myDB->IMPORT_UEBERSETZUNG ue ON name = dbtext
              LEFT OUTER JOIN $myDB->IMPORT_TYP ty on IMPORT_TYP_TypID = TypID
              LEFT OUTER JOIN $myDB->IMPORT_QUELLE qu ON IMPORT_QUELLE_QuellID = QuellID";
    if ( $_SESSION['UserRechte'] == 600 )
        $sql2 .= " WHERE brauchtPrivileg<=".$_SESSION['GenrePrivileg'];

    if(!empty($import->importTypes[$_GET['importDB']])) {
        $sql2 .= " AND (qu.QuellBezeichnung = '".$import->importTypes[$_GET['importDB']]."' 
                   AND ty.TypBezeichnung = 'Genre'
                   OR qu.QuellBezeichnung IS NULL)";
    }
    $sql2 .= " ORDER BY Name";
    $rs2 = $myDB->go($sql2);
    while ( $row2 = $myDB->getRow($rs2) )
    {
        echo "<input class=\"checkbox\" type=\"checkbox\" name=\"Genre[]\" value=\"{$row2['GenreID']}\"";
        
        if ( $myVar->printChange == TRUE )
        {   /* checked nur, wenn geaendert wird */
            $sql3 = "SELECT COUNT(*) AS Anz FROM $myDB->FILME_GENRES WHERE FILME_FilmID = $myVar->FilmID AND GENRES_GenreID = {$row2['GenreID']}";
            $rs3 = $myDB->go($sql3);
            $row3 = $myDB->getRow($rs3);
            if ( $row3['Anz'] > 0 || $import->isGenre( $row2['Name'] ) )
                echo ' checked="checked"';
        }
        elseif ( $import->isGenre( $row2['Name'] ) || $import->isGenre( $row2['ImportText'] ) )
            echo ' checked="checked"';
        
        echo " /> {$row2['Name']}<br />";
    }
    
    // Bild ausgeben, wenn es gespeichert ist
    if ( $myVar->printChange == TRUE )
    {
        $sql2 = "SELECT * FROM $myDB->COVERS WHERE FILME_FilmID=$myVar->FilmID ORDER BY Rang ASC";
        $rs2 = $myDB->go($sql2);
        while ( $row2 = $myDB->getRow($rs2) )
        {
            echo "<div style=\"margin-top:1em\">";
            $bild = "$cover_dir/{$row2['FILME_FilmID']}_{$row2['Rang']}_{$row2['Appendix']}.{$row2['Extension']}";
            $bildInfo = @getimagesize($bild);
            $bildInfo[0] = $bildInfo[0] + 50;
            $bildInfo[1] = $bildInfo[1] + 70;
            
            $vars = array();
            $vars['MenuID'] = 289;
            $vars = $myVar->getRequest($vars);
            
            echo "<a href=\"{$_SERVER['PHP_SELF']}?{$vars}Rang={$row2['Rang']}\" target=\"cover\" onclick=\"window.open('', 'cover', 'Height={$bildInfo[1]},Width={$bildInfo[0]},screenX=550,screenY=100,location=no,menubar=no,status=no,toolbar=no,scrollbars=yes')\"><img style=\"border:none; width:8em\" src=\"$bild\" alt=\"cover\" /></a>";
            echo "<p style=\"margin:0 0 0 1.5em; font-size:0.9em\"><a href=\"{$_SERVER['PHP_SELF']}?MenuID=592&amp;FilmID=$myVar->FilmID&amp;Rang={$row2['Rang']}\">Bild l&ouml;schen</a></p><br />";
            echo "</div>";
        }
    }
    echo "<!-- /div id=\"genres_covers\" --></div>";
    
    
    echo "<table class=\"insertFilm\">";
    if ($dataOverwrittenByImport)
    	echo "<tr><td>&nbsp;</td><td style=\"font-size: small; font-weight: bold; color: red; background-color: yellow;\">ACHTUNG! Beim Import wurden vorhandene Daten im Formular berschrieben!<br/>Beim Drcken auf 'ndern' wird auch der Datenbankeintrag berschrieben!</td></tr>";
    else if ($dataAvailableOnImportListing)
   	echo "<tr><td>&nbsp;</td><td style=\"font-size: small; font-weight: bold; color: red; \">WARNUNG! Der Import wird vorhandene Daten berschreiben!</td></tr>";

    echo "<tr>";
    echo "<td class=\"description_Filmeinfuegen\">Filmtitel</td>";
    echo "<td><input type=\"text\" style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; height: 15px; width: 450px; background-color: #FFFFFF;\" name=\"Titel\" value=\"";
    if (  array_key_exists( 'Titel', $row ) )
		echo $row['Titel'];
	echo "\" /></td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td class=\"description_Filmeinfuegen\">Originaltitel</td>";
    echo "<td><input type=\"text\" style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; height: 15px; width: 450px; background-color: #FFFFFF;\" name=\"Originaltitel\" value=\"";
    if (  array_key_exists( 'Originaltitel', $row ) )
		echo $row['Originaltitel'];
	echo "\" /></td>";
    echo "</tr>";
    
    if ( array_key_exists( 'Sortiertitel', $row ) ) {
      if($row['Sortiertitel'] == '') {
        $row['Sortiertitel'] = $row['Titel'];
      } 
    } else {
  	 $row['Sortiertitel'] = $row['Titel'];
    }
    
    if ($settings->activateSortierTitel) {
      echo "<tr>";
      echo "<td class=\"description_Filmeinfuegen\">Sortiertitel</td>";
      echo "<td><input type=\"text\" style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; height: 15px; width: 450px; background-color: #FFFFFF;\" name=\"Sortiertitel\" value=\"";
      echo $row['Sortiertitel'];
  		echo "\" /></td>";
      echo "</tr>";
    } else {
      echo "<input type=\"hidden\" name=\"Sortiertitel\" value=\"{$row['Sortiertitel']}\" \>";
    }

    echo "<tr>";
    echo "<td class=\"description_Filmeinfuegen\">EAN/UPC</td>";
    echo "<td><input type=\"text\" style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; height: 15px; width: 450px; background-color: #FFFFFF;\" name=\"EAN\" value=\"";
    echo $row['EAN'];
  		echo "\" /></td>";
    echo "</tr>";

    // ist Topfilm?
    echo "<tr>";
    echo "<td class=\"description_Filmeinfuegen\">Topfilm</td>";
    echo "<td><input class=\"checkbox\" style=\"width:12px;\" type=\"checkbox\" name=\"istTopfilm\" value=\"1\"";
    if ( $myVar->printChange == TRUE && $row['istTopfilm'] )
        echo ' checked="checked"';
    echo " /></td>";
    echo "</tr>";
    
    
    // Formatauswahl
    echo "<tr>";
    echo "<td class=\"description_Filmeinfuegen\">Format</td>";
    echo "<td>";
    echo "<select style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; width: 150px; background-color: #FFFFFF; margin: 0; padding: 0; vertical-align:middle\" name=\"setFormatID\">";
    $sql5 = "SELECT FormatID, Bezeichnung, ImportText, istStandard FROM $myDB->FORMATE
              LEFT OUTER JOIN $myDB->IMPORT_UEBERSETZUNG ue ON Bezeichnung = dbtext
              LEFT OUTER JOIN $myDB->IMPORT_TYP ty on IMPORT_TYP_TypID = TypID
              LEFT OUTER JOIN $myDB->IMPORT_QUELLE qu ON IMPORT_QUELLE_QuellID = QuellID";
    if ( $_SESSION['UserRechte'] == 600 )
        $sql5 .= " WHERE brauchtPrivileg<=".$_SESSION['FormatPrivileg'];

    if(!empty($import->importTypes[$_GET['importDB']])) {
        $sql2 .= " AND (qu.QuellBezeichnung = '".$import->importTypes[$_GET['importDB']]."' 
                   AND ty.TypBezeichnung = 'Format'
                   OR qu.QuellBezeichnung IS NULL)";
    }

    $sql5 .= " ORDER BY Bezeichnung";
    $rs5 = $myDB->go($sql5);
    while( $row5 = $myDB->getRow($rs5) ) {
        if ( $myVar->printChange == FALSE ) {
          if ($settings->overrideFormatByImport ) {
          
            if( $row5[DBText] == $Format )
              echo "<option value=\"{$row5['FormatID']}\" selected=\"selected\" style=\"font-weight:bold\">{$row5['Bezeichnung']}</option>";
            else 
              echo "<option value=\"{$row5['FormatID']}\">{$row5['Bezeichnung']}</option>";
            
          } else {
          
            if ( $row5['istStandard'] == 0 )
                echo "<option value=\"{$row5['FormatID']}\">{$row5['Bezeichnung']}</option>";
            else
                echo "<option value=\"{$row5['FormatID']}\" selected=\"selected\" style=\"font-weight:bold\">{$row5['Bezeichnung']}</option>";
          }
        } else {
        
            if ( $row5['FormatID'] != $row['FORMATE_FormatID'] )
                echo "<option value=\"{$row5['FormatID']}\">{$row5['Bezeichnung']}</option>";
            else
                echo "<option value=\"{$row5['FormatID']}\" selected=\"selected\" style=\"font-weight:bold\">{$row5['Bezeichnung']}</option>";
        }
    }
    echo "</select>";
    
    echo "</td>";
    echo "</tr>";
    
    
    // Collectauswahl
    echo "<tr>";
    echo "<td class=\"description_Filmeinfuegen\">Kollektion</td>";
    echo "<td>";
    echo "<select style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; width: 150px; background-color: #FFFFFF; margin: 0; padding: 0; vertical-align:middle\" name=\"setCollectID\">";
    $sql5 = "SELECT * FROM $myDB->COLLECT";
    if ( $_SESSION['UserRechte'] == 600 )
        $sql5 .= " WHERE brauchtPrivileg<=".$_SESSION['CollectPrivileg'];
    $sql5 .= " ORDER BY Bezeichnung";
    $rs5 = $myDB->go($sql5);
    while( $row5 = $myDB->getRow($rs5) )
        if ( $myVar->printChange == FALSE )
            if ( $row5['istStandard'] == 0 )
                echo "<option value=\"{$row5['CollectID']}\">{$row5['Bezeichnung']}</option>";
            else
                echo "<option value=\"{$row5['CollectID']}\" selected=\"selected\" style=\"font-weight:bold\">{$row5['Bezeichnung']}</option>";
        else
            if ( $row5['CollectID'] != $row['COLLECT_CollectID'] )
                echo "<option value=\"{$row5['CollectID']}\">{$row5['Bezeichnung']}</option>";
            else
                echo "<option value=\"{$row5['CollectID']}\" selected=\"selected\" style=\"font-weight:bold\">{$row5['Bezeichnung']}</option>";
    echo "</select>";
    
    echo "</td>";
    echo "</tr>";

    echo "<tr>";
    echo "<td class=\"description_Filmeinfuegen\">Bildformat</td>";
    echo "<td><input style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; height: 15px; width: 75px; background-color: #FFFFFF;\" type=\"text\" name=\"Bildformat\" value=\"";
    if (  array_key_exists( 'Bildformat', $row ) )
		echo $row['Bildformat'];
	echo "\" /><span class=\"description_Filmeinfuegen\">Auflsung</span><input style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; height: 15px; width: 75px; background-color: #FFFFFF;\" type=\"text\" name=\"Aufloesung\" value=\"";
    if (  array_key_exists( 'Aufloesung', $row ) )
		echo $row['Aufloesung'];
	echo "\" /></td>";

    echo "</tr>";
    
    // myFilmID darf gendert werden
    echo "<tr>";
    echo "<td class=\"description_Filmeinfuegen\">FilmID</td>";
    echo "<td><input style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; height: 15px; width: 75px; background-color: #FFFFFF;\" type=\"text\" name=\"setMyFilmID\" value=\"";
    if (  array_key_exists( 'myFilmID', $row ) )
		echo getAnzStellenID($row['myFilmID'], $settings);//$row['Titel'];
	echo "\" /><span style=\"font-family:Tahoma; font-size:0.82em\">automatisch: leer lassen (OHNE CollectID)</span></td>";
    echo "</tr>";
    
    
    // DiscID festlegen
    if ( $myVar->printChange != TRUE )
    {
    	$DiscID = "";
        // wenn Formular gesendet, dann Werte herstellen
        if ( count($myVar->warnung) )
        {
            $SendAnzDisks = $_POST['anzDisks'];
            if (  array_key_exists( 'DiscID', $_POST ) )
                $DiscID = $_POST['DiscID'];
            else
                $DiscID = "";
            if ( $_POST['discs'] == 1 )
            {
                $InsChk = "checked=\"checked\"";
                $AddChk = ""; 
            }
            else
            {
                $InsChk = "";
                $AddChk = "checked=\"checked\""; 
            }
        }
        else
        {
            $SendAnzDisks = 1;
            $InsChk = "checked=\"checked\"";
            $AddChk = "";
        }
        
        echo "<tr>";
        echo "<td class=\"description_Filmeinfuegen\">Disks</td>";
        echo "<td>";
        echo "<input style=\"width:1em; margin-right:0.5em; vertical-align:middle;\" type=\"radio\" name=\"discs\" value=\"1\" $InsChk />";
        echo "<input style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; height: 15px; width: 50px; background-color: #FFFFFF;\" type=\"text\" name=\"anzDisks\" value=\"$SendAnzDisks\" maxlength=\"1\" /><span style=\"font-family:Tahoma; font-size:0.82em\"> neue Disk(s) (Anzahl der Disks)</span>";
        echo "<br />";
        echo "<input style=\"width:1em; margin-right:0.5em; vertical-align:middle;\" type=\"radio\" name=\"discs\" value=\"2\" $AddChk />";
        echo "<input style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; height: 15px; width: 50px; background-color: #FFFFFF;\" type=\"text\" name=\"DiscID\" value=\"$DiscID\" /><span style=\"font-family:Tahoma; font-size:0.82em\"> dieser Disk zuordnen (z.B. 154; OHNE CollectID)</span>";
        echo "</td>";
        echo "</tr>";
    }
    else // wenn Film ndern, werden nur DiscID's angezeigt
    {
        echo "<tr>";
        echo "<td class=\"description_Filmeinfuegen\">DiskID(s)</td>";
        echo "<td>".getDiscID( $myVar->FilmID, $myDB, $settings )."</td>";
        echo "</tr>";
    }
    
    
    // Nur Superadmin hat das Recht, Privileg zu setzen!
    if ( $_SESSION['UserRechte'] == 900 )
    {
        echo "<tr>";
        echo "<td class=\"description_Filmeinfuegen\">Privileg</td>";
        echo "<td><input style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; height: 15px; width: 75px; background-color: #FFFFFF;\" type=\"text\" name=\"brauchtPrivileg\" maxlength=\"2\" value=\"";
	    if (  array_key_exists( 'brauchtPrivileg', $row ) )
			echo $row['brauchtPrivileg'];
		echo "\" /><span style=\"font-family:Tahoma; font-size:0.82em\">Dieses Privileg wird vom Benutzer vorausgesetzt.</span></td>";
        echo "</tr>";
    }
    echo "<tr>";
    echo "<td class=\"description_Filmeinfuegen\">Land</td>";
    echo "<td><input style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; height: 15px; width: 450px; background-color: #FFFFFF;\" type=\"text\" name=\"Land\" value=\"";
    if (  array_key_exists( 'Land', $row ) )
		echo $row['Land'];
	echo "\" /></td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td class=\"description_Filmeinfuegen\">Jahr</td>";
    echo "<td><input style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; height: 15px; width: 75px; background-color: #FFFFFF;\" type=\"text\" name=\"Jahr\" maxlength=\"4\" value=\"";
    if (  array_key_exists( 'Jahr', $row ) )
		echo $row['Jahr'];
	echo "\" /></td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td class=\"description_Filmeinfuegen\">Schauspieler</td>";
    echo "<td><input type=\"text\" style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; height: 15px; width: 450px; background-color: #FFFFFF;\" name=\"Actors\" value=\"{$Actors}\" /></td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td class=\"description_Filmeinfuegen\">Regisseur</td>";
    echo "<td><input type=\"text\" style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; height: 15px; width: 450px; background-color: #FFFFFF;\" name=\"Regisseure\" value=\"{$Regisseure}\" /></td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td class=\"description_Filmeinfuegen\">Laufzeit</td>";
    echo "<td><input style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; height: 15px; width: 75px; background-color: #FFFFFF;\" type=\"text\" name=\"Laufzeit\" value=\"";
    if (  array_key_exists( 'Laufzeit', $row ) )
		echo $row['Laufzeit'];
	echo "\" maxlength=\"4\" /><span style=\"font-family:Tahoma; font-size:0.82em\"> Minuten</span></td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td class=\"description_Filmeinfuegen\">FSK</td>";
    echo "<td>";
    echo "<select size=\"1\" style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; width: 75px; background-color: #FFFFFF;\" name=\"FSK\">";
    
    // nicht schn, aber fr den Zweck ausreichend
    // alle verschiedenen FSK werden in ein Array geschrieben und dann ausgegeben
    // maxFSK beachten! 
    $FSK = array(0, 6, 12, 16, 18);
    if (  !array_key_exists( 'FSK', $row ) )
    	$row['FSK'] = 0;
    for ( $i = 0; $i < count($FSK) && $FSK[$i] <= $_SESSION['maxFSK'] ; ++$i)
    {
        echo "<option value=\"{$FSK[$i]}\"";
        if ( $FSK[$i] == $row['FSK'] )
            echo " selected=\"selected\" style=\"font-weight:bold\"";
        echo ">{$FSK[$i]}</option>";
    }
    
    echo "</select>";
    
    echo "<input class=\"checkbox\" style=\"width: 12px;\" type=\"checkbox\" name=\"FSKunbekannt\" value=\"1\"";
    if ( /*$myVar->printChange == TRUE &&*/ array_key_exists( 'FSKunbekannt', $row ) && $row['FSKunbekannt'] )
        echo ' checked="checked"';
    echo " /> <span style=\"font-family:Tahoma; font-size:0.82em\">FSK unbekannt?</span>";
    
    echo "</td>";
    echo "</tr>";
    if($settings->activateTonDetails) {
      echo "<tr>";
      echo "<td class=\"description_Filmeinfuegen\">Sprache</td>";
      echo "<td>";
      echo "<select name=\"TonS\" size=\"1\"  style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; width: 150px; background-color: #FFFFFF; margin: 0; padding: 0; vertical-align:middle\">";
      echo "<option value=\"-\" > </option>";
          $sql2 = "SELECT * FROM $myDB->SPRACHE";
          $sql2 .= " ORDER BY Bezeichnung";
          $rs2 = $myDB->go($sql2);
          while ( $row2 = $myDB->getRow($rs2) )
          {
      	echo "<option value=\"{$row2['SprachID']}\">{$row2['Bezeichnung']}</option>";
          }
      echo "</select>";
      echo "<span class=\"description_Filmeinfuegen\">Tonformat</span>";
      echo "<select name=\"TonF\" style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; width: 150px; background-color: #FFFFFF; margin: 0; padding: 0; vertical-align:middle\">";
      echo "<option value=\"-\"> </option>";
          $sql2 = "SELECT * FROM $myDB->TON";
          $sql2 .= " ORDER BY Name";
          $rs2 = $myDB->go($sql2);
          while ( $row2 = $myDB->getRow($rs2) )
          {
      	echo "<option value=\"{$row2['TonID']}\">{$row2['Name']}</option>";
          }
      echo "</select>";
      echo "</td></tr>";
      echo "<tr>";
      echo "<td class=\"description_Filmeinfuegen\"></td>";
      echo "<td>";
      echo "<input name=\"Hinzu\" type=\"button\" style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; width: 100px; background-color:#BCBCBC\" onClick=\"MoveOption(this.form.TonS,this.form.Ton,true,this.form.TonF)\" value=\"Hinzuf&uuml;gen\" /></input>&nbsp;&nbsp;&nbsp;";
      echo "<input name=\"Entf\" type=\"button\"  style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; width: 100px; background-color:#BCBCBC\" onClick=\"MoveOption(this.form.Ton,0,false,0)\" value=\"Entfernen\" ></input>";
      echo "</td></tr>";
      echo "<tr>";
      echo "<td></td>";
      echo "<td><span style=\"font-family:Tahoma; font-size:0.82em\">Aktuell gewhlt:</span>";
      echo "</td></tr>";
      echo "<tr>";
      echo "<td class=\"description_Filmeinfuegen\"></td>";
      echo "<td>";
      echo "<select name=\"Ton\" size=\"4\" style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; color: black; clear: none; float: none; width: 450px; background-color: #FFFFFF;\">";
        
      if ( $myVar->printChange == TRUE ) {
          $sql2 = "SELECT fs.TonID, fs.SprachID, tn.Name, sp.Bezeichnung FROM $myDB->FILME_TON_SPRACHE fs INNER JOIN $myDB->TON tn ON fs.TonID = tn.TonID INNER JOIN $myDB->SPRACHE sp ON fs.SprachID = sp.SprachID WHERE fs.FilmID = $myVar->FilmID";
          $sql2 .= " ORDER BY sp.Bezeichnung";
          $rs2 = $myDB->go($sql2);
      
          while ( $row2 = $myDB->getRow($rs2) )
          {
              echo "<option value=\"{$row2['SprachID']}-{$row2['TonID']}\">{$row2['Bezeichnung']} ({$row2['Name']})</option>";
          }
      } else {

          for ( $i=0; $i<count($Sprache); $i++ ) {
             $sql3 = "SELECT SprachID, Bezeichnung FROM $myDB->SPRACHE 
                         LEFT OUTER JOIN $myDB->IMPORT_UEBERSETZUNG ue ON bezeichnung = dbtext
                         LEFT OUTER JOIN $myDB->IMPORT_TYP ty on IMPORT_TYP_TypID = TypID
                         LEFT OUTER JOIN $myDB->IMPORT_QUELLE qu ON IMPORT_QUELLE_QuellID = QuellID
                       WHERE (qu.QuellBezeichnung = '".$import->importTypes[$_GET['importDB']]."' 
                         AND ty.TypBezeichnung = 'Sprache'
                          OR qu.QuellBezeichnung IS NULL)
                         AND bezeichnung = '".Trim($Sprache[$i])."' OR ImportText = '".Trim($Sprache[$i])."'";
             $rs3 = $myDB->go($sql3);

             while ( $row3 = $myDB->getRow($rs3) ) {
                $sql4 = "SELECT TonID, Name FROM $myDB->TON 
                         LEFT OUTER JOIN $myDB->IMPORT_UEBERSETZUNG ue ON name = dbtext
                         LEFT OUTER JOIN $myDB->IMPORT_TYP ty on IMPORT_TYP_TypID = TypID
                         LEFT OUTER JOIN $myDB->IMPORT_QUELLE qu ON IMPORT_QUELLE_QuellID = QuellID
                       WHERE (qu.QuellBezeichnung = '".$import->importTypes[$_GET['importDB']]."' 
                         AND ty.TypBezeichnung = 'Tonformat'
                          OR qu.QuellBezeichnung IS NULL)
                         AND (Name = '".Trim($Tonformat[$i])."' OR ImportText = '".Trim($Tonformat[$i])."') ";       
                $rs4 = $myDB->go($sql4);
                while ( $row4 = $myDB->getRow($rs4) ) {
                   echo "<option value=\"{$row3['SprachID']}-{$row4['TonID']}\">{$row3['Bezeichnung']} ({$row4['Name']})</option>";
                }
             }
         }
      
      }


      echo "</select>";
      echo "</td></tr>";
      echo "<input type=\"hidden\" name=\"Ton2\" value=\"\"></input>";
    }
    // Untertitel
    echo "<tr>";
    echo "<td class=\"description_Filmeinfuegen\">Untertitel</td>";
    echo "<td><input type=\"text\" style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; height: 15px; width: 450px; background-color: #FFFFFF;\" name=\"Untertitel\" value=\"{$Untertitel}\" /></td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td class=\"description_Filmeinfuegen\">Cover&nbsp;hochladen</td>";
    echo "<td><input type=\"file\" style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; width: 250px; background-color: #FFFFFF;\" name=\"Cover\" /></td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td class=\"description_Filmeinfuegen\">Cover&nbsp;kopieren</td>";
    if ( isset($row['CoverURL']) )
        $value = $row['CoverURL'];
    else if ( isset($_POST['CoverURL']) && count($myVar->warnung) )
        $value = $_POST['CoverURL'];
    else
        $value = 'http://';
    echo "<td><input style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; height: 15px; width: 450px; background-color: #FFFFFF;\" type=\"text\" id=\"coverurl\" name=\"CoverURL\" value=\"$value\" /></td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td class=\"description_Filmeinfuegen\">Webseite</td>";
    echo "<td><input type=\"text\" style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; height: 15px; width: 450px; background-color: #FFFFFF;\" name=\"Webseite\" value=\"";
    if (  array_key_exists( 'Webseite', $row ) )
		echo $row['Webseite'];
	echo "\" /></td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td class=\"description_Filmeinfuegen\">Inhalt</td>";
    echo "<td>";
    echo "<textarea name=\"Inhalt\" style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; height: 50px; width: 450px; background-color: #FFFFFF;\" rows=\"10\">";
    if (  array_key_exists( 'Inhalt', $row ) )
		echo str_replace( "<br />", "", $row['Inhalt'] );
	echo "</textarea></td>";
    echo "</tr>";	
    echo "<tr>";
    echo "<td class=\"description_Filmeinfuegen\">Bemerkung</td>";
    echo "<td>";
    echo "<textarea name=\"Bemerkung\" style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; height: 30px; width: 450px; background-color: #FFFFFF;\" rows=\"10\">";
    if (  array_key_exists( 'Bemerkung', $row ) )
		echo str_replace( "<br />", "", $row['Bemerkung'] );
	echo "</textarea></td>";
    echo "</tr>";
    if($settings->activateTrailer) {
      echo "<tr>";
      echo "<td class=\"description_Filmeinfuegen\">Trailer</td>";
      echo "<td>";
      echo "<textarea name=\"Trailer\" style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; height: 30px; width: 450px; background-color: #FFFFFF;\" rows=\"10\">";
      if (  array_key_exists( 'TrailerConfig', $row ) )
  		echo str_replace( "<br />", "", $row['TrailerConfig'] );
  	  echo "</textarea></td>";
      echo "</tr>";
      echo "<tr>";
      echo "<td class=\"description_Filmeinfuegen\">Trailer&nbsp;hochladen</td>";
      echo "<td><input type=\"file\" style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; width: 250px; background-color: #FFFFFF;\" name=\"Logo\" /></td>";
      echo "</tr>";

      echo "<tr>";
      echo "<td class=\"description_Filmeinfuegen\">Trailerbreite</td>";
      echo "<td><input style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; height: 15px; width: 75px; background-color: #FFFFFF;\" type=\"text\" name=\"TrailerBreite\" value=\"";
      if (  array_key_exists( 'TrailerBreite', $row ) )
		echo $row['TrailerBreite'];
	echo "\" /><span class=\"description_Filmeinfuegen\">Trailerhhe</span><input style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; height: 15px; width: 75px; background-color: #FFFFFF;\" type=\"text\" name=\"TrailerHoehe\" value=\"";
      if (  array_key_exists( 'TrailerHoehe', $row ) )
		echo $row['TrailerHoehe'];
	echo "\" /></td>";

      echo "</tr>";

      echo "<tr>";
      echo "<td class=\"description_Filmeinfuegen\">Trailer kopieren</td>";
      echo "<td><input class=\"checkbox\" style=\"width:12px;\" type=\"checkbox\" name=\"TrailerKopieren\" value=\"1\" /><span style=\"font-family:Tahoma; font-size:0.82em\">Kopieren des bei Trailer angegebenen Links, wenn dort kein Quellcode steht.</span></td>";
    }  
    echo "<tr>";
    echo "<td style=\"padding: 18px 0 0 119px;\" colspan=\"2\">";
    
    echo $myVar->getRequest("",TRUE); 
    echo "<input type=\"hidden\" name=\"MAX_FILE_SIZE\" value=\"500000\" />";
    
    if ( $myVar->printChange != TRUE )
        echo "<input style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; width: 100px; background-color:#BCBCBC\" type=\"submit\" name=\"insert\" value=\"einf&uuml;gen\" onClick=\"submitForm(this.form.Ton,this.form.Ton2)\" />";
    else
        echo "<input style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; width: 100px; background-color:#BCBCBC;\" type=\"submit\" name=\"change\" value=\"&auml;ndern\" onClick=\"submitForm(this.form.Ton,this.form.Ton2)\" />";
    
    echo "</td>";
    echo "</tr>";
    echo "</table>";
    echo "</form>";
    
    // wenn einfgen, dann richtigen Button setzen
    if ( $myVar->printChange == TRUE )
    {
        echo "<table>";
        echo "<tr>";
        echo "<td style=\"padding: 0 0 13px 119px;\">";
        
        // Button um Ergebnis zu zeigen
        echo "<form style=\"display: inline;\" method=\"get\" action=\"{$_SERVER['PHP_SELF']}\">";
        $var = array();
        $var['MenuID'] = 280;
        echo $myVar->getRequest($var,TRUE);
        echo "<input class=\"buttonSubmit\" type=\"submit\" value=\"anzeigen\" />";
        echo "</form>";
        
        // Button zum Lschen
        echo "<form style=\"display: inline;\" method=\"get\" action=\"{$_SERVER['PHP_SELF']}\">";
        $var = array();
        $var['MenuID'] = 595;
        echo $myVar->getRequest($var,TRUE); 
        echo "<input class=\"buttonSubmitWarning\" type=\"submit\" value=\"l&ouml;schen\" />";
        echo "</form>";
        echo "</td>";
        echo "</tr>";
        echo "</table>";
    }
}


?>
