<?php

/*******************************************
 *                                         *
 *     Filmverwaltung mit PHP & MySQL      *
 *                                         *
 *******************************************
 *                                         *
 * Copyright: ab 2005 Dominik Erdmann      *
 *  Internet: www.der-domi.de              *
 *     Email: kontakt@der-domi.de          *
 *                                         *
 *******************************************
 *                                         *
 * Das Skript darf nach eigenem Belieben   *
 * gendert werden. Copyright-Hinweise und *
 * Links auf www.der-domi.de drfen nicht  *
 * verndert werden und mssen jederzeit   *
 * sichtbar bleiben!                       *
 *                                         *
 *******************************************
 */

/*
 * Nachricht an Benutzer schicken
 */


if ( $_SESSION['UserRechte'] < 900 )
    exit();


if ( $myVar->MenuID == 894 )
{
    if ( $_SESSION['UserID'] != 1 )
        $myVar->hinweis[] = "Nur Superadmin mit ID 1 kann Settings &auml;ndern";
    else
    {
        // Falls die Demoinstallation aktiv ist, werden Server-Settings ausgeblendet
        if ( isset($demosystem) )
        {
            $settings->smtpHost = "";
            $settings->smtpPort = "";
            $settings->smtpUsername = "";
        }
        $settings->standardStyle = substr( $settings->standardStyle, 9 );
        
        
        echo "<form method=\"post\" action=\"{$_SERVER['PHP_SELF']}\">";

        echo "<table class=\"settings_table\">";
        echo "<tr>";
        echo "<td style=\"text-align:left; padding:13px 0 0 20px;\" class=\"description_Settings\"><span class=\"hover3a\">&raquo;&nbsp;&nbsp;</span>Skripteinstellungen</td>";
        echo "</tr>";
        echo "</table>";

        echo "<hr style=\"color: black; height: 1px; width: 100%\"/>";

        echo "<table class=\"settings_table\">";
        echo "<tr>";
        echo "<td style=\"width:30%;\" class=\"description_Settings\">Browsertitel</td>";
        echo "<td style=\"width:45%;\"><input style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; height: 15px; width: 330px; background-color: #FFFFFF;\" type=\"text\" name=\"browserTitel\" value=\"$settings->browserTitel\" /></td>";
        echo "<td style=\"vertical-align:top; text-align:left;\"></td>";
        echo "</tr>";
         
        echo "<tr>";
        echo "<td class=\"description_Settings\">Skriptadresse</td>";
        echo "<td><input style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; height: 15px; width: 330px; background-color: #FFFFFF;\" type=\"text\" name=\"skriptAdresse\" value=\"$settings->skriptAdresse\" /></td>";
        echo "<td style=\"text-align:left;\"><acronym title=\" Adresse, unter der das Skript erreichbar ist. Beispiel: http://filmdb.dyndns.org \">?</acronym></td>";
        echo "</tr>";
        
        echo "<tr>";
        echo "<td class=\"description_Settings\">zus&auml;tzlicher&nbsp;Topmenulink</td>";
        echo "<td><input style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; height: 15px; width: 330px; background-color: #FFFFFF;\" type=\"text\" name=\"MenuLinkAdresse\" value=\"$settings->MenuLinkAdresse\" /></td>";
        echo "<td style=\"text-align:left;\"><acronym title=\" mit http:// \">?</acronym></td>";
        echo "</tr>";
        
        echo "<tr>";
        echo "<td class=\"description_Settings\">Name&nbsp;des&nbsp;Menulinks</td>";
        echo "<td><input style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; height: 15px; width: 330px; background-color: #FFFFFF;\" type=\"text\" name=\"MenuLinkName\" value=\"$settings->MenuLinkName\" /></td>";
        echo "<td style=\"text-align:left;\"><acronym title=\" optional \">?</acronym></td>";
        echo "</tr>";
        
        echo "<tr>";
        echo "<td class=\"description_Settings\">Standard&nbsp;Stylesheet</td>";
        echo "<td><input style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; height: 15px; width: 330px; background-color: #FFFFFF;\" type=\"text\" name=\"standardStyle\" value=\"$settings->standardStyle\" /></td>";
        echo "<td style=\"text-align:left;\"></td>";
        echo "</tr>";
        
        echo "<tr>";
        echo "<td class=\"description_Settings\">Logout-Adresse</td>";
        echo "<td><input style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; height: 15px; width: 330px; background-color: #FFFFFF;\" type=\"text\" name=\"logoutAdresse\" value=\"$settings->logoutAdresse\" /></td>";
        echo "<td style=\"text-align:left;\"><acronym title=\" mit http://, wird beim Ausloggen aufgerufen. Wenn leer, dann Loginseite. \">?</acronym></td>";
        echo "</tr>";
        
        echo "<tr>";
        echo "<td class=\"description_Settings\">automatisches&nbsp;Login</td>";
        echo "<td>";
        echo "<select style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; width: 330px; background-color: #FFFFFF; margin: 0; padding: 0; vertical-align:middle\" name=\"autoLogin\">";
        $sql = "SELECT * FROM $myDB->USERS ORDER BY UserName";
        $rs = $myDB->go($sql);
        
        echo "<option value=\"0\"";
        if ( $settings->autoLogin == 0 )
            echo "selected=\"selected\"";
        echo ">deaktiviert</option>";
        
        while( $row = $myDB->getRow($rs) )
        {
            echo "<option value=\"{$row['UserID']}\"";
            if ( $row['UserID'] == $settings->autoLogin )
                echo "selected=\"selected\" style=\"font-weight:bold\"";
            echo ">{$row['UserName']} ({$row['Email']})</option>";
        }
        
        echo "</select>";
        echo "</td>";
        echo "<td style=\"text-align:left;\"><acronym title=\" Beim ffnen der Loginseite wird der Benutzer direkt als ausgewhlter Benutzer auf die Startseite geleitet. \">?</acronym></td>";
        echo "</tr>";


        echo "<tr>";
        echo "<td class=\"description_Settings\">Anmeldung&nbsp;folgen</td>";
        echo "<td><input class=\"checkbox\" style=\"width:12px;\" type=\"checkbox\" name=\"skriptFolgen\" value=\"TRUE\" ";
        if ( $settings->skriptFolgen )
            echo ' checked="checked"';
        echo " /></td>";
        echo "<td style=\"text-align:left;\"><acronym title=\" Falls Benutzer angemeldet ist, wird er beim ffnen der Loginseite auf die Startseite geleitet. \">?</acronym></td>";
        echo "</tr>";

        /*
        echo "<tr>";
        echo "<td class=\"description_Settings\">Skript&nbsp;in&nbsp;Frame&nbsp;starten</td>";
        echo "<td><input type=\"checkbox\" class=\"checkbox\" style=\"width:1em\" name=\"skriptInFrame\" value=\"TRUE\" ";
        if ( $settings->skriptInFrame )
            echo ' checked="checked"';
        echo " /></td>";
        echo "<td style=\"text-align:left;\"></td>";
        echo "</tr>";
        */
        echo "<tr>";
        echo "<td class=\"description_Settings\">Exportname</td>";
        echo "<td><input style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; height: 15px; width: 330px; background-color: #FFFFFF;\" type=\"text\" name=\"exportName\" value=\"".htmlentities($settings->exportName)."\" /></td>";
        echo "<td style=\"text-align:left;\"><acronym title=\" Das PDF wird diesen Name haben. \">?</acronym></td>";
        echo "</tr>";
        
        echo "<tr>";
        echo "<td class=\"description_Settings\">Fusszeilenzusatz</td>";
        echo "<td><input style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; height: 15px; width: 330px; background-color: #FFFFFF;\" type=\"text\" name=\"footlineAddOn\" value=\"".htmlentities($settings->footlineAddOn)."\" /></td>";
        echo "<td style=\"text-align:left;\"></td>";
        echo "</tr>";
        
        echo "<tr>";
        echo "<td class=\"description_Settings\">Datenbankbeschleunigung</td>";
        echo "<td><input type=\"checkbox\" class=\"checkbox\" style=\"width:12px;\" name=\"dabaPerformance\" value=\"TRUE\" ";
        if ( $settings->dabaPerformance )
            echo ' checked="checked"';
        echo " /></td>";
        echo "<td style=\"text-align:left;\"><acronym title=\" Falls keine Privilegien oder FSK-Einschrnkungen benutzt werden, dann aktivieren. \">?</acronym></td>";
        echo "</tr>";
        echo "</table>";        
        
        echo "<table class=\"settings_table\">";
        echo "<tr>";
        echo "<td style=\"text-align:left; padding:40px 0 0 20px;\" class=\"description_Settings\"><span class=\"hover3a\">&raquo;&nbsp;&nbsp;</span>Emaileinstellungen</td>";
        echo "</tr>";
        echo "</table>";

        echo "<hr style=\"color: black; height: 1px; width: 100%\"/>";

        echo "<table class=\"settings_table\">";
        echo "<tr>";
        echo "<td style=\"width:30%;\" class=\"description_Settings\">versende&nbsp;Emails</td>";
        echo "<td style=\"width:45%;\"><input type=\"checkbox\" class=\"checkbox\" style=\"width:12px;\" name=\"mailSend\" value=\"TRUE\" ";
        if ( $settings->mailSend )
            echo ' checked="checked"';
        echo " /><span style=\"font-family:Tahoma; font-size:0.75em; font-weight:bold;\">Achtung</span></td>";
        echo "<td style=\"vertical-align:top; text-align:left;\"><acronym title=\" Falls deaktiviert, werden Links zm &Auml;ndern des Passworts direkt ausgegeben, damit die Funktion noch m&ouml;glich ist. Also nur zu Testzwecken verwenden! \">?</acronym></td>";
        echo "</tr>";
        
        if ( $settings->mailSend )
        {
            echo "<tr>";
            echo "<td class=\"description_Settings\">Mailadresse</td>";
            echo "<td><input style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; height: 15px; width: 330px; background-color: #FFFFFF;\" type=\"text\" name=\"mailFrom\" value=\"$settings->mailFrom\" /></td>";
            echo "<td style=\"vertical-align:top; text-align:left;\"></td>";
            echo "</tr>";
            
            echo "<tr>";
            echo "<td class=\"description_Settings\">Name&nbsp;zur&nbsp;Mailadresse</td>";
            echo "<td><input style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; height: 15px; width: 330px; background-color: #FFFFFF;\" type=\"text\" name=\"mailFromName\" value=\"$settings->mailFromName\" /></td>";
            echo "<td style=\"vertical-align:top; text-align:left;\"></td>";
            echo "</tr>";
            
            echo "<tr>";
            echo "<td class=\"description_Settings\">Antwortmailadresse</td>";
            echo "<td><input style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; height: 15px; width: 330px; background-color: #FFFFFF;\" type=\"text\" name=\"mailReplyTo\" value=\"$settings->mailReplyTo\" />" .
                    "</td>";
            echo "<td style=\"vertical-align:top; text-align:left;\"><acronym title=\" falls abweichend \">?</acronym></td>";
            echo "</tr>";
            
            echo "<tr>";
            echo "<td class=\"description_Settings\">Name&nbsp;zur&nbsp;Antwortadresse</td>";
            echo "<td><input style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; height: 15px; width: 330px; background-color: #FFFFFF;\" type=\"text\" name=\"mailReplyToName\" value=\"$settings->mailReplyToName\" /></td>";
            echo "<td style=\"vertical-align:top; text-align:left;\"></td>";
            echo "</tr>";
            
            echo "<tr>";
            echo "<td class=\"description_Settings\">versende&nbsp;HTML-Mails</td>";
            echo "<td>";
            echo "<input type=\"radio\" class=\"checkbox\" name=\"mailHTML\" value=\"TRUE\" ";
            if ( $settings->mailHTML )
                echo ' checked="checked"';
            echo " /><span style=\"font-family:Tahoma; font-size:0.82em\"> ja</span>";
            echo "<input style=\"margin-left:1em\" type=\"radio\" class=\"checkbox\" name=\"mailHTML\" value=\"FALSE\" ";
            if ( !$settings->mailHTML )
                echo ' checked="checked"';
            echo " /><span style=\"font-family:Tahoma; font-size:0.82em\"> nein, Text-Mail</span";
            echo "</td>";
            echo "<td style=\"vertical-align:top; text-align:left;\"></td>";
            echo "</tr>";
            
            if ( !$settings->mailHTML )
            {
                echo "<tr>";
                echo "<td class=\"description_Settings\">Zeilenumbruch&nbsp;nach</td>";
                echo "<td><input style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; height: 15px; width: 30px; background-color: #FFFFFF;\" type=\"text\" name=\"mailWordWrap\" value=\"$settings->mailWordWrap\" /><span style=\"font-family:Tahoma; font-size:0.82em\"> Zeichen</span></td>";
                echo "<td style=\"vertical-align:top; text-align:left;\"></td>";
                echo "</tr>";
            }
            
            echo "<tr>";
            echo "<td class=\"description_Settings\">Versendeart</td>";
            echo "<td>";
            echo "<input type=\"radio\" class=\"checkbox\" name=\"mailSMTP\" value=\"TRUE\" ";
            if ( $settings->mailSMTP )
                echo ' checked="checked"';
            echo " /><span style=\"font-family:Tahoma; font-size:0.82em\"> per SMTP (empfohlen)</span>";
            echo "<input style=\"margin-left:1em\" type=\"radio\" class=\"checkbox\" name=\"mailSMTP\" value=\"FALSE\" ";
            if ( !$settings->mailSMTP )
                echo ' checked="checked"';
            echo " /><span style=\"font-family:Tahoma; font-size:0.82em\"> per PHP</span>";
            echo "</td>";
            echo "<td style=\"vertical-align:top; text-align:left;\"></td>";
            echo "</tr>";
            
            if ( $settings->mailSMTP )
            {
                echo "<tr>";
                echo "<td class=\"description_Settings\">SMTP-Host</td>";
                echo "<td><input style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; height: 15px; width: 330px; background-color: #FFFFFF;\" type=\"text\" name=\"smtpHost\" value=\"$settings->smtpHost\" /></td>";
                echo "<td style=\"vertical-align:top; text-align:left;\"></td>";
                echo "</tr>";
                
                echo "<tr>";
                echo "<td class=\"description_Settings\">SMTP-Port</td>";
                echo "<td><input style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; height: 15px; width: 30px; background-color: #FFFFFF;\" type=\"text\" name=\"smtpPort\" value=\"$settings->smtpPort\" /></td>";
                echo "<td style=\"vertical-align:top; text-align:left;\"></td>";
                echo "</tr>";
                
                echo "<tr>";
                echo "<td class=\"description_Settings\">SMTP-Authentication</td>";
                echo "<td>";
                echo "<input type=\"radio\" class=\"checkbox\" name=\"smtpAuthentication\" value=\"TRUE\" ";
                if ( $settings->smtpAuthentication )
                    echo ' checked="checked"';
                echo " /><span style=\"font-family:Tahoma; font-size:0.82em\"> ja (empfohlen)</span>";
                echo "<input style=\"margin-left:1em\" type=\"radio\" class=\"checkbox\" name=\"smtpAuthentication\" value=\"FALSE\" ";
                if ( !$settings->smtpAuthentication )
                    echo ' checked="checked"';
                echo " /><span style=\"font-family:Tahoma; font-size:0.82em\"> nein</span>";
                echo "</td>";
                echo "<td style=\"vertical-align:top; text-align:left;\"></td>";
                echo "</tr>";
                
                if ( $settings->smtpAuthentication )
                {
                    echo "<tr>";
                    echo "<td class=\"description_Settings\">SMTP-Username</td>";
                    echo "<td><input style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; height: 15px; width: 330px; background-color: #FFFFFF;\" type=\"text\" name=\"smtpUsername\" value=\"$settings->smtpUsername\" /></td>";
                    echo "<td style=\"vertical-align:top; text-align:left;\"></td>";
                    echo "</tr>";
                    
                    echo "<tr>";
                    echo "<td class=\"description_Settings\">SMTP-Passwort</td>";
                    echo "<td><input style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; height: 15px; width: 330px; background-color: #FFFFFF;\" type=\"password\" name=\"smtpPasswort\" />" .
                            "</td>";
                    echo "<td style=\"vertical-align:top; text-align:left;\"><acronym title=\" Hinweis: Passwort wird als Klartext in der Datenbank gespeichert. \">?</acronym></td>";
                    echo "</tr>";
                } // smtpAuthentication
            } // mailSMTP
        } // mailSend
        echo "</table>";


        echo "<table class=\"settings_table\">";
        echo "<tr>";
        echo "<td style=\"text-align:left; padding:40px 0 0 20px;\" class=\"description_Settings\"><span class=\"hover3a\">&raquo;&nbsp;&nbsp;</span>Allgemeine Einstellungen</td>";
        echo "</tr>";
        echo "</table>";

        echo "<hr style=\"color: black; height: 1px; width: 100%\"/>";
        
        echo "<table class=\"settings_table\">";
        echo "<tr>";
        echo "<td style=\"width:30%;\" class=\"description_Settings\">erste&nbsp;freie&nbsp;ID&nbsp;suchen</td>";
        echo "<td style=\"width:70%;\"><input type=\"checkbox\" class=\"checkbox\" style=\"width:12px;\" name=\"firstFitID\" value=\"TRUE\" ";
        if ( $settings->firstFitID )
            echo ' checked="checked"';
        echo " /><span style=\"font-family:Tahoma; font-size:0.82em\"> &Uuml;bersprungene ID's eines neuen Filmes werden wieder verwendet.</span></td>";
        echo "</tr>";

        echo "<tr>";
        echo "<td class=\"description_Settings\">Admin&nbsp;verleiht/reserviert&nbsp;Filme</td>";
        echo "<td><input type=\"checkbox\" class=\"checkbox\" style=\"width:12px;\" name=\"AdminCanDistribute\" value=\"TRUE\" ";
        if ( $settings->AdminCanDistribute )
            echo ' checked="checked"';
        echo " /><span style=\"font-family:Tahoma; font-size:0.82em\"> Nicht nur Superadmin.</span></td>";
        echo "</tr>";
        
        echo "<tr>";
        echo "<td class=\"description_Settings\">Anzahl&nbsp;der&nbsp;Stellen&nbsp;einer&nbsp;ID</td>";
        echo "<td><input style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; height: 15px; width: 30px; background-color: #FFFFFF;\" type=\"text\" name=\"anzStellenID\" value=\"$settings->anzStellenID\" /></td>";
        echo "</tr>";
        
        echo "<tr>";
        echo "<td class=\"description_Settings\">Trennzeichen</td>";
        echo "<td><input style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; height: 15px; width: 30px; background-color: #FFFFFF;\" type=\"text\" name=\"trennzeichen\" value=\"$settings->trennzeichen\" />" .
                "<span style=\"font-family:Tahoma; font-size:0.82em\"> Mit welchem Zeichen werden Namen von Schauspieler und Regisseure getrennt? Nicht mischen!</span></td>";
        echo "</tr>";
        
        echo "<tr>";
        echo "<td class=\"description_Settings\">Anzahl&nbsp;Topfilme</td>";
        echo "<td><input style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; height: 15px; width: 30px; background-color: #FFFFFF;\" type=\"text\" name=\"anzTopFilme\" value=\"$settings->anzTopFilme\" />" .
                "<span style=\"font-family:Tahoma; font-size:0.82em\"> auf Startseite</span></td>";
        echo "</tr>";
        
        echo "<tr>";
        echo "<td class=\"description_Settings\">Anzahl&nbsp;neue&nbsp;Filme</td>";
        echo "<td><input style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; height: 15px; width: 30px; background-color: #FFFFFF;\" type=\"text\" name=\"anzNeueFilme\" value=\"$settings->anzNeueFilme\" /></td>";
        echo "</tr>";
        
        echo "<tr>";
        echo "<td class=\"description_Settings\">Anzahl&nbsp;beste&nbsp;Filme</td>";
        echo "<td><input style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; height: 15px; width: 30px; background-color: #FFFFFF;\" type=\"text\" name=\"anzBestFilme\" value=\"$settings->anzBestFilme\" />" .
                "<span style=\"font-family:Tahoma; font-size:0.82em\"> Falls alle drei Anzahlen gleich Null, wird die Startseite ausgeblendet.</span></td>";
        echo "</tr>";
        
        echo "<tr>";
        echo "<td class=\"description_Settings\">erinnere&nbsp;Tage&nbsp;(bei&nbsp;Cronjob)</td>";
        echo "<td><input style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; height: 15px; width: 30px; background-color: #FFFFFF;\" type=\"text\" name=\"erinnereTage\" value=\"$settings->erinnereTage\" />" .
                "<span style=\"font-family:Tahoma; font-size:0.82em\"> hier wird Benutzer nach x Tagen an ausgeliehene Filme erinnert." .
                " Bei 0 wird nichts gesendet.</span></td>";
        echo "</tr>";
        echo "</table>";
        echo "<table class=\"settings_table\">";
        echo "<tr>";
        echo "<td style=\"text-align:left; padding:40px 0 0 20px;\" class=\"description_Settings\"><span class=\"hover3a\">&raquo;&nbsp;&nbsp;</span>Mod Einstellungen</td>";
        echo "</tr>";
        echo "</table>";

        echo "<hr style=\"color: black; height: 1px; width: 100%\"/>";
        
        echo "<table class=\"settings_table\">";
        echo "<tr>";
        echo "<td style=\"width:30%;\" class=\"description_Settings\">Reservierungs Mod</td>";
        echo "<td style=\"width:70%;\"><input type=\"checkbox\" class=\"checkbox\" style=\"width:12px;\" name=\"activateReservierung\" value=\"TRUE\" ";
        if ( $settings->activateReservierung )
            echo ' checked="checked"';
        echo " /><span style=\"font-family:Tahoma; font-size:0.82em\"> User knnen Filme selbst reservieren.</span></td>";
        echo "</tr>";
        
        echo "<tr>";
        echo "<td class=\"description_Settings\">Verleihhistorie Mod</td>";
        echo "<td><input type=\"checkbox\" class=\"checkbox\" style=\"width:12px;\" name=\"showHistory\" value=\"TRUE\" ";
        if ( $settings->showHistory )
            echo ' checked="checked"';
        echo " /><span style=\"font-family:Tahoma; font-size:0.82em\"> Anzahl der Verleihvorgnge und Usernamen werden angezeigt.</span></td>";
        echo "</tr>";
        
        echo "<tr>";
        echo "<td class=\"description_Settings\">Tondetails Mod</td>";
        echo "<td><input type=\"checkbox\" class=\"checkbox\" style=\"width:12px;\" name=\"activateTonDetails\" value=\"TRUE\" ";
        if ( $settings->activateTonDetails )
            echo ' checked="checked"';
        echo " /><span style=\"font-family:Tahoma; font-size:0.82em\"> Tonformate und Sprachen knnen zum Film hinterlegt werden.</span></td>";
        echo "</tr>";
        
        echo "<tr>";
        echo "<td class=\"description_Settings\">SortierTitel Mod</td>";
        echo "<td><input type=\"checkbox\" class=\"checkbox\" style=\"width:12px;\" name=\"activateSortierTitel\" value=\"TRUE\" ";
        if ( $settings->activateSortierTitel )
            echo ' checked="checked"';
        echo " /><span style=\"font-family:Tahoma; font-size:0.82em\"> Neue Spalte wird eingefgt nach der die FilmDB die Titel sortiert.</span></td>";
        echo "</tr>";
        
        echo "<tr>";
        echo "<td class=\"description_Settings\">Trailer Mod</td>";
        echo "<td><input type=\"checkbox\" class=\"checkbox\" style=\"width:12px;\" name=\"activateTrailer\" value=\"TRUE\" ";
        if ( $settings->activateTrailer )
            echo ' checked="checked"';
        echo " /><span style=\"font-family:Tahoma; font-size:0.82em\">Es werden Trailer in den Filmdetails abgespielt.</span></td>";
        echo "</tr>";
        
        
        echo "<tr>";
        echo "<td class=\"description_Settings\">Favicon</td>";
        echo "<td><input style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; height: 15px; width: 330px; background-color: #FFFFFF;\" type=\"text\" name=\"Favicon\" value=\"$settings->Favicon\" /></td>";
        echo "<td style=\"vertical-align:top; text-align:left;\"></td>";
        echo "</tr>";

	      echo "<tr>";
        echo "<td class=\"description_Settings\">Reservierungssperre</td>";
        echo "<td><input style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; height: 15px; width: 30px; background-color: #FFFFFF;\" type=\"text\" name=\"Bewertungsratio\" value=\"$settings->Bewertungsratio\" />" .
                "<span style=\"font-family:Tahoma; font-size:0.82em\"> Wenn Verhltniss (ausgeliehene : bewertete Filme) unter X%. Bei 0 ist die Funktion deaktiviert.  </span></td>";
        echo "</tr>";

	      echo "<tr>";
        echo "<td class=\"description_Settings\">Best bewertete Filme</td>";
        echo "<td><input style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; height: 15px; width: 30px; background-color: #FFFFFF;\" type=\"text\" name=\"randomSort\" value=\"$settings->randomSort\" />" .
                "<span style=\"font-family:Tahoma; font-size:0.82em\"> Wenn Wert = 0 wird fest absteigend sortiert ansonsten Random ab eingetragendem Wert</span></td>";
        echo "</tr>";
        
        echo "<tr>";
        echo "<td class=\"description_Settings\">Trailerbreite</td>";
        echo "<td><input style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; height: 15px; width: 30px; background-color: #FFFFFF;\" type=\"text\" name=\"standardTrailerBreite\" value=\"$settings->standardTrailerBreite\" />" .
                "<span style=\"font-family:Tahoma; font-size:0.82em\"> Diese Breite wird fr die Traileranzeige genutzt, wenn kein trailerspezifischer Wert vorliegt. </span></td>";
        echo "</tr>";
        
        echo "<tr>";
        echo "<td class=\"description_Settings\">Trailerhhe</td>";
        echo "<td><input style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; height: 15px; width: 30px; background-color: #FFFFFF;\" type=\"text\" name=\"standardTrailerHoehe\" value=\"$settings->standardTrailerHoehe\" />" .
                "<span style=\"font-family:Tahoma; font-size:0.82em\"> Diese Hhe wird fr die Traileranzeige genutzt, wenn kein trailerspezifischer Wert vorliegt. </span></td>";
        echo "</tr>";

        echo "<tr>";
        echo "<td style=\"width:30%;\"></td>";
        echo "<td style=\"width:70%;\">";
        echo "<input type=\"checkbox\" class=\"checkbox\" style=\"width:12px;\" name=\"TrailerAutoStart\" value=\"TRUE\" ";
        if ( $settings->TrailerAutoStart )
            echo ' checked="checked"';
        echo " /><span style=\"font-family:Tahoma; font-size:0.82em\">Trailer wird automatisch bei Anzeige abgespielt.</span><br />"; 
        
        echo "<input type=\"checkbox\" class=\"checkbox\" style=\"width:12px;\" name=\"ModTonText\" value=\"TRUE\" ";
        if ( $settings->ModTonText )
            echo ' checked="checked"';
        echo " /><span style=\"font-family:Tahoma; font-size:0.82em\">Tondetails als Text anzeigen</span><br />";

        echo "<input type=\"checkbox\" class=\"checkbox\" style=\"width:12px;\" name=\"ModFSK\" value=\"TRUE\" ";
        if ( $settings->ModFSK )
            echo ' checked="checked"';
        echo " /><span style=\"font-family:Tahoma; font-size:0.82em\">FSK als Text anzeigen</span><br />";
	      
	      echo "<input type=\"checkbox\" class=\"checkbox\" style=\"width:12px;\" name=\"showArtikelFirst\" value=\"TRUE\" ";
        if ( $settings->showArtikelFirst )
            echo ' checked="checked"';
        echo " /><span style=\"font-family:Tahoma; font-size:0.82em\">Artikel werden dem Titel vorangestellt, hat keinen Einfluss auf die Sortierung</span><br />";

        echo "<input type=\"checkbox\" class=\"checkbox\" style=\"width:12px;\" name=\"showFormatLogo\" value=\"TRUE\" ";
        if ( $settings->showFormatLogo )
            echo ' checked="checked"';
        echo " /><span style=\"font-family:Tahoma; font-size:0.82em\">Das zum Format hinterlegte Logo wird zustzlich angezeigt.</span><br />";

        echo "<input type=\"checkbox\" class=\"checkbox\" style=\"width:12px;\" name=\"overrideFormatByImport\" value=\"TRUE\" ";
        if ( $settings->overrideFormatByImport )
            echo ' checked="checked"';
        echo " /><span style=\"font-family:Tahoma; font-size:0.82em\">Es wird das im Import konfigurierte Format anstatt des Standardformats ausgewhlt.</span><br />";

        echo "</td>";
        echo "</tr>";
        

        
        echo "</table>";

        echo "<table class=\"settings_table\">";
        echo "<tr>";
        echo "<td style=\"text-align:left; padding:40px 0 0 20px;\" class=\"description_Settings\"><span class=\"hover3a\">&raquo;&nbsp;&nbsp;</span>Informationen ein- und ausblenden</td>";
        echo "</tr>";
        echo "</table>";

        echo "<hr style=\"color: black; height: 1px; width: 100%\"/>";
        
        echo "<table class=\"settings_table\">";
        echo "<tr>";
        echo "<td style=\"width:30%;\"></td>";
        echo "<td style=\"width:70%;\">";
        echo "<input type=\"checkbox\" class=\"checkbox\" style=\"width:12px;\" name=\"showInfo\" value=\"TRUE\" ";
        if ( $settings->showInfo )
            echo ' checked="checked"';
        echo " /><span style=\"font-family:Tahoma; font-size:0.82em\">Info/Impressum in Menu</span><br />";
        
        echo "<input type=\"checkbox\" class=\"checkbox\" style=\"width:12px;\" name=\"showBesitzer\" value=\"TRUE\" ";
        if ( $settings->showBesitzer )
            echo ' checked="checked"';
        echo " /><span style=\"font-family:Tahoma; font-size:0.82em\">Besitzer des Filmes anzeigen</span><br />";
        
        echo "<input type=\"checkbox\" class=\"checkbox\" style=\"width:12px;\" name=\"showDiscID\" value=\"TRUE\" ";
        if ( $settings->showDiscID )
            echo ' checked="checked"';
        echo " /><span style=\"font-family:Tahoma; font-size:0.82em\">DiskID des Filmes sichtbar</span><br />";
        
        
        echo "<input type=\"checkbox\" class=\"checkbox\" style=\"width:12px;\" name=\"showFormat\" value=\"TRUE\" ";
        if ( $settings->showFormat )
            echo ' checked="checked"';
        echo " /><span style=\"font-family:Tahoma; font-size:0.82em\">Formatinformationen</span><br />";
        
        echo "<input type=\"checkbox\" class=\"checkbox\" style=\"width:12px;\" name=\"showCollect\" value=\"TRUE\" ";
        if ( $settings->showCollect )
            echo ' checked="checked"';
        echo " /><span style=\"font-family:Tahoma; font-size:0.82em\">Kollektionsinformationen</span><br />";
        
        echo "<input type=\"checkbox\" class=\"checkbox\" style=\"width:12px;\" name=\"adminSeeAll\" value=\"TRUE\" ";
        if ( $settings->adminSeeAll )
            echo ' checked="checked"';
        echo " /><span style=\"font-family:Tahoma; font-size:0.82em\">Admin sieht Formate, Kollektionen und DiskID's</span><br />";


        echo "<input type=\"checkbox\" class=\"checkbox\" style=\"width:12px;\" name=\"showLoginStatus\" value=\"TRUE\" ";
        if ( $settings->showLoginStatus )
            echo ' checked="checked"';
        echo " /><span style=\"font-family:Tahoma; font-size:0.82em\">Logininformationen</span><br />";


        echo "<input type=\"checkbox\" class=\"checkbox\" style=\"width:12px;\" name=\"showRating\" value=\"TRUE\" ";
        if ( $settings->showRating )
            echo ' checked="checked"';
        echo " /><span style=\"font-family:Tahoma; font-size:0.82em\">Benutzerbewertung des Films wird angezeigt.</span><br />";
        
        echo "</td>";
        echo "</tr>";
        echo "</table>";

        echo "<table class=\"settings_table\">";
        echo "<tr>";
        echo "<td style=\"text-align:left; padding:40px 0 0 20px;\" class=\"description_Settings\"><input style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; width: 300px; background-color: #BCBCBC;\" type=\"submit\" name=\"sent\" value=\"Einstellungen&nbsp;&auml;ndern&nbsp;und&nbsp;abspeichern\" />";
        //$var = array();
        echo $var = $myVar->getRequest("",TRUE);
        echo "</td>";
        echo "</tr>";
        echo "</table>";

        echo "<hr style=\"color: black; height: 1px; width: 100%\"/>";


        echo "</form>";
    }
}
?>
