<?php

/*******************************************
 *                                         *
 *     Filmverwaltung mit PHP & MySQL      *
 *                                         *
 *******************************************
 *                                         *
 * Copyright: ab 2005 Dominik Erdmann      *
 *  Internet: www.der-domi.de              *
 *     Email: kontakt@der-domi.de          *
 *                                         *
 *******************************************
 *                                         *
 * Das Skript darf nach eigenem Belieben   *
 * gendert werden. Copyright-Hinweise und *
 * Links auf www.der-domi.de drfen nicht  *
 * verndert werden und mssen jederzeit   *
 * sichtbar bleiben!                       *
 *                                         *
 *******************************************
 */

/*
 * Nachricht an Benutzer schicken
 */


if ( $_SESSION['UserRechte'] < 900 )
    exit();


if ( isset($demosystem) )
    $myVar->hinweis[] = "Die Demoinstallation kann nicht ge&auml;ndert werden.";
elseif ( $myVar->MenuID == 894 && isset( $_POST['sent'] ) )
{
    $setString = array( "browserTitel", "skriptAdresse", "logoutAdresse", "MenuLinkAdresse", "MenuLinkName", 
                        "standardStyle", "trennzeichen", "Favicon", "standardTrailerHoehe", "standardTrailerBreite");
    $setName = array( "mailFromName", "mailReplyToName", "exportName", "smtpHost", "smtpUsername", "smtpPasswort", "footlineAddOn" );
    $setInteger = array( "mailWordWrap", "smtpPort", "anzStellenID", "anzTopFilme", "anzNeueFilme", "anzBestFilme", "erinnereTage", "autoLogin", "Bewertungsratio", "randomSort");
    $setBoolCheckbox = array( "skriptFolgen", "skriptInFrame", "firstFitID", "mailSend", "dabaPerformance", "showLoginStatus", "TrailerAutoStart",
                      "showInfo", "showBesitzer", "showDiscID", "showFormat", "showCollect", "adminSeeAll", "AdminCanDistribute", "showFormatLogo",
                      "showRating", "ModTonText", "ModFSK", "showHistory", "activateReservierung", "activateSortierTitel", "activateTonDetails", 
                      "activateTrailer", "showArtikelFirst", "overrideFormatByImport"); // Einfgen von Tondetails                                  | www.LifesHammer.de - Webmaster@LifesHammer.de
    $setBoolRadio = array( "mailHTML", "mailSMTP", "smtpAuthentication" );
    $setMail = array( "mailFrom", "mailReplyTo" );
    
    
    for ( $i=0; $i<count($setString); ++$i )
    {
        $sql = "UPDATE $myDB->SETTINGS SET Wert=".$myDB->escape_string(htmlentities($_POST[$setString[$i]]))." WHERE Variable='{$setString[$i]}'";
        if ( isset($_POST[$setString[$i]]) )
            $myDB->go($sql);
    }
    
    for ( $i=0; $i<count($setName); ++$i )
    {
        if ( array_key_exists( $setName[$i], $_POST ) ) {
            
            $sql = "UPDATE $myDB->SETTINGS SET Wert=".$myDB->escape_string($_POST[$setName[$i]])." WHERE Variable='{$setName[$i]}'";
            
            if ( $setName[$i] == 'smtpPasswort' )
            {
                if ( strlen( $_POST[$setName[$i]] ) )
                    $myDB->go($sql);
                else
                    ; // Change pwd only if it is set. 
            }
            else
                $myDB->go($sql);
        }
    }
    
    for ( $i=0; $i<count($setInteger); ++$i )
    {
        if (  array_key_exists( $setInteger[$i], $_POST ) ) {
            
            $sql = "UPDATE $myDB->SETTINGS SET Wert=".(int)$_POST[$setInteger[$i]]." WHERE Variable='{$setInteger[$i]}'";
            $myDB->go($sql);
        }
    }
    
    for ( $i=0; $i<count($setBoolCheckbox); ++$i )
    {
        if ( array_key_exists( $setBoolCheckbox[$i], $_POST ) && $_POST[$setBoolCheckbox[$i]] == 'TRUE' )
            $val = 'TRUE';
        else
            $val = 'FALSE';
        
        $sql = "UPDATE $myDB->SETTINGS SET Wert='$val' WHERE Variable='{$setBoolCheckbox[$i]}'";
        $myDB->go($sql);

	if ($setBoolCheckbox[$i] == 'activateSortierTitel' && $val == 'TRUE') {
           $sql = "UPDATE $myDB->FILME SET Sortiertitel = Titel WHERE Sortiertitel IS NULL";
           $myDB->go($sql);
        }
    }
    
    for ( $i=0; $i<count($setBoolRadio); ++$i )
    {
        if ( array_key_exists( $setBoolRadio[$i], $_POST ) )
            if ( $_POST[$setBoolRadio[$i]] == 'TRUE' )
                $val = 'TRUE';
            else
                $val = 'FALSE';
        else
            $val = $settings->{$setBoolRadio[$i]};
        
        $sql = "UPDATE $myDB->SETTINGS SET Wert='$val' WHERE Variable='{$setBoolRadio[$i]}'";
        $myDB->go($sql);
    }
    
    for ( $i=0; $i<count($setMail); ++$i )
    {
        $sql = "UPDATE $myDB->SETTINGS SET Wert=".$myDB->escape_string($_POST[$setMail[$i]])." WHERE Variable='{$setMail[$i]}'";
        if ( isset($_POST[$setMail[$i]]) )
            $myDB->go($sql);
    }
    
    
    // Skript wird neugeladen, damit nderungen direkt bernommen werden
    $vars = array();
    $vars = $myVar->getRequest($vars,FALSE,"&");
    session_write_close();
    header( "location:{$_SERVER['PHP_SELF']}?$vars" );
}

?>
