<?php

/*******************************************
 *                                         *
 *     Filmverwaltung mit PHP & MySQL      *
 *                                         *
 *******************************************
 *                                         *
 * Copyright: ab 2005 Dominik Erdmann      *
 *  Internet: www.der-domi.de              *
 *     Email: kontakt@der-domi.de          *
 *                                         *
 *******************************************
 *                                         *
 * Das Skript darf nach eigenem Belieben   *
 * gendert werden. Copyright-Hinweise und *
 * Links auf www.der-domi.de drfen nicht  *
 * verndert werden und mssen jederzeit   *
 * sichtbar bleiben!                       *
 *                                         *
 *******************************************
 */

/*
 * einen Benutzer hinzufgen oder ndern, wenn gesendet wurde
 */


if ( $_SESSION['UserRechte'] < 900 )
    exit();

if ( isset($demosystem) && ( $_REQUEST['UserID'] == 1 || $_REQUEST['UserID'] == 2 ) )
    $myVar->warnung[] = "Testadmin oder Testuser k&ouml;nnen nicht ge&auml;ndert werden!";
elseif ( $myVar->MenuID == 899 && ( isset($_POST['insert']) || isset($_POST['change']) ) )
{
    //Email berprfen
    if ( !preg_match( "/$pregEmail/", strtolower($_REQUEST['Email']), $reg1 ) )
        $myVar->warnung[] = "Ung&uuml;ltige Emailadresse";
    if ( strlen( $_REQUEST['Name'] ) < 3 )
        $myVar->warnung[] .= "Benutzername muss mindestens 3 Zeichen lang sein!";
    elseif ( !preg_match( "/$pregUserName/", $_REQUEST['Name'], $reg2 ) )
        $myVar->warnung[] = "Ung&uuml;litger Benutzername";
    
    if ( !count($myVar->warnung) )
    {
        $email = $reg1[0];
        $Name = $myDB->escape_string( htmlentities( $reg2[0] ) );
        
        // wenn Email bereits vorhanden, dann abbrechen
        $sql = "SELECT COUNT(*) AS Anz FROM $myDB->USERS WHERE Email = '$email'";
        if ( isset($_REQUEST['change']) )
            $sql .= " AND UserID != {$_REQUEST['UserID']}";
        
        $rs = $myDB->go($sql);
        $row = $myDB->getRow($rs);
        
        if ( $row['Anz'] > 0 )
            $myVar->warnung[] = "Emailadresse bereits vorhanden.";

        // FilmPrivileg kontrollieren
        if ( (int)$_REQUEST['FilmPrivileg'] >= 0 && (int)$_REQUEST['FilmPrivileg'] <= 99 )
             $FilmPrivileg = (int)$_REQUEST['FilmPrivileg'];
        else
            $FilmPrivileg = 1;
        if ( $_REQUEST['FilmPrivileg'] == '' )
            $FilmPrivileg = 1;
        
        // FormatPrivileg kontrollieren
        if ( (int)$_REQUEST['FormatPrivileg'] >= 0 && (int)$_REQUEST['FormatPrivileg'] <= 99 )
             $FormatPrivileg = (int)$_REQUEST['FormatPrivileg'];
        else
            $FormatPrivileg = 1;
        if ( $_REQUEST['FormatPrivileg'] == '' )
            $FormatPrivileg = 1;
        
        // GenrePrivileg kontrollieren
        if ( (int)$_REQUEST['GenrePrivileg'] >= 0 && (int)$_REQUEST['GenrePrivileg'] <= 99 )
             $GenrePrivileg = (int)$_REQUEST['GenrePrivileg'];
        else
            $GenrePrivileg = 1;
        if ( $_REQUEST['GenrePrivileg'] == '' )
            $GenrePrivileg = 1;
        
        // CollectPrivileg kontrollieren
        if ( (int)$_REQUEST['CollectPrivileg'] >= 0 && (int)$_REQUEST['CollectPrivileg'] <= 99 )
             $CollectPrivileg = (int)$_REQUEST['CollectPrivileg'];
        else
            $CollectPrivileg = 1;
        if ( $_REQUEST['CollectPrivileg'] == '' )
            $CollectPrivileg = 1;
        
        if ( strlen($_REQUEST['Birthday']) ) {
            
            $date = explode( "-", $_REQUEST['Birthday'] );
            if ( count($date)!=3 || !checkdate( $date[1], $date[2], $date[0]) )
            {
                $_REQUEST['Birthday'] = "0000-00-00";
                $myVar->hinweis[] = "Geburtsdatum im falschen Format; z.B.: 1995-12-01";
            }
        }
        else
            $_REQUEST['Birthday'] = "0000-00-00";
        
        //UserName, UserRechte, Email, PWD, Birthday, FilmPrivileg, FormatPrivileg, GenrePrivileg, CollectPrivileg, getEmail, checkChangePWD, hasAccess, anzLogin
        
        if ( isset($_REQUEST['insert']) && !count( $myVar->warnung ) )
        {
            $pwd = gen_string( $email );
            $checkpwd = gen_string( $email );
            // unschne Lsung, aber macht kein Sinn das ganze Skript wg. einer ndeurng zu berarbeiten
            if ($_REQUEST['UserRechte'] == 601) {
                $sql = "INSERT INTO $myDB->USERS (UserName, UserRechte, ownFilms, Email, PWD, Birthday, FilmPrivileg, FormatPrivileg, " .
                       "GenrePrivileg, CollectPrivileg, getEmail, checkChangePWD, hasAccess, getResEmails, showUserName, anzLogin, lastLogin, Style, showAnzFilme, showSmallCovers ) " .
                       "VALUES ( $Name, 600, 1, '$email', SHA('$pwd'), '{$_REQUEST['Birthday']}', " .
                       "$FilmPrivileg, $FormatPrivileg, $GenrePrivileg, $CollectPrivileg, {$_REQUEST['getEmail']}, '$checkpwd', ";
            } else {
                $sql = "INSERT INTO $myDB->USERS (UserName, UserRechte, Email, PWD, Birthday, FilmPrivileg, FormatPrivileg, " .
                       "GenrePrivileg, CollectPrivileg, getEmail, checkChangePWD, hasAccess, getResEmails, showUserName, anzLogin, lastLogin, Style, showAnzFilme, showSmallCovers ) " .
                       "VALUES ( $Name, {$_REQUEST['UserRechte']}, '$email', SHA('$pwd'), '{$_REQUEST['Birthday']}', " .
                       "$FilmPrivileg, $FormatPrivileg, $GenrePrivileg, $CollectPrivileg, {$_REQUEST['getEmail']}, '$checkpwd', ";
            }
            if ( array_key_exists( 'hasAccess', $_POST ) && (int)$_POST['hasAccess'] != 0 )
            	$sql .= "1";
           	else
           		$sql .= "0";
			      $sql .= ", {$_REQUEST['getResEmails']}, {$_REQUEST['showUserName']}, 0, '0000-00-00 00:00:00', '', 40, 1 )";
            $rs = $myDB->go($sql);
            $_REQUEST['UserID'] = mysql_insert_id();
            $myVar->printChange = TRUE;
            
            $sql = "SELECT UserName, checkChangePWD, Email FROM $myDB->USERS WHERE UserID = ".mysql_insert_id();
            $rs = $myDB->go($sql);
            $row = $myDB->getRow($rs);
            
            // Name darf nicht fr HTML kodiert sein.
            $name = ret_entities( $row['UserName'] );
            
            // Link setzen
            if ( strlen($settings->skriptAdresse) == 0 )
                $link = "http://".$_SERVER['SERVER_NAME'];
            else
                $link = $settings->skriptAdresse;
            
            $link .= $_SERVER['PHP_SELF']."?checkPWD={$row['checkChangePWD']}";
            $link = str_replace( "index2.php", "index.php", $link );
            
            $link_htm="<a href='".$link."'>Link</a>";
            
            
            // Nachricht schreiben
            $message = ret_entities($_POST['message']);
            $message = str_replace( "&name;", $name, $message );
            $message .= "\n\n";
            
            if ( $settings->mailHTML )
            {
                $message = str_replace( "Link", $link_htm, $message );
                $message .="Sollte sich der Browser mit dem Link nicht ffnen,\n";
                $message .="dann gebe bitte diese URL in dem Browser ein:\n";
            }
            
            $message .=$link."\n";
            
            if ( $settings->mailSend && array_key_exists( 'hasAccess', $_POST ) && (int)$_POST['hasAccess'] != 0 )
            {
                $warning = myMail( $row['Email'], $name, "Neuer Account", $message, $settings );
                if ( !strlen($warning) )
                    $myVar->erfolg[] = $row['UserName']." erh&auml;lt eine Email mit einem weiterf&uuml;hrenden Link.";
                else
                    $myVar->warnung[] = $warning;
            }
            else
                $myVar->hinweis[] = "Es wurde keine Mail verschickt, da diese Funktion deaktiviert ist oder Benutzer keinen Zugriff hat...";
            
        }
        if ( isset($_REQUEST['change']) && !count( $myVar->warnung ) )
        {
            if ( $_SESSION['UserID'] == $_REQUEST['UserID'] && $_REQUEST['UserRechte'] != 900 )
            {
                $myVar->warnung[] = "Die Benutzerrechte knnen nicht gendert werden.";
                $_REQUEST['UserRechte'] = 900;
            }
            $sql = "UPDATE $myDB->USERS SET UserName=$Name, Email='$email', Birthday='{$_REQUEST['Birthday']}', FilmPrivileg=$FilmPrivileg, FormatPrivileg=$FormatPrivileg, GenrePrivileg=$GenrePrivileg, CollectPrivileg=$CollectPrivileg, getEmail={$_REQUEST['getEmail']}";
            if ( array_key_exists( 'hasAccess', $_POST ) && (int)$_POST['hasAccess'] != 0 )
            	$sql .= ", hasAccess=1";
           	else
           		$sql .= ", hasAccess=0";
           		
           	if ( array_key_exists( 'getResEmails', $_POST ) )
            	$sql .= ", getResEmails={$_REQUEST['getResEmails']}";

            if ( array_key_exists( 'showUserName', $_POST ) )
            	$sql .= ", showUserName={$_REQUEST['showUserName']}";
           		
            if ($_REQUEST['UserRechte'] == 601) {
              $sql .= ", UserRechte=600, ownFilms=1 WHERE UserID={$_REQUEST['UserID']}";
            } else { 
              $sql .= ", UserRechte={$_REQUEST['UserRechte']}, ownFilms=0";
            }
            $sql .= " WHERE UserID={$_REQUEST['UserID']}";
            $rs = $myDB->go($sql);  
            $myVar->erfolg[] = "Der User $Name wurde erfolgreich gendert.";
        }
    }
    /*
    if ( $_REQUEST['Birthday'] != '' && !count( $myVar->warnung ) )
    {
        $sql = "SELECT Birthday FROM $myDB->USERS WHERE UserID = {$_REQUEST['UserID']}";
        $rs = $myDB->go($sql);
        $row = $myDB->getRow($rs);
        if ( $row['Birthday'] == '0000-00-00' )
            $myVar->hinweis[] = "Geburtsdatum im falschen Format; z.B.: 1995-12-01";
    }
    */
}


?>
