<?php

/*******************************************
 *                                         *
 *     Filmverwaltung mit PHP & MySQL      *
 *                                         *
 *******************************************
 *                                         *
 * Copyright: ab 2005 Dominik Erdmann      *
 *  Internet: www.der-domi.de              *
 *     Email: kontakt@der-domi.de          *
 *                                         *
 *******************************************
 *                                         *
 * Das Skript darf nach eigenem Belieben   *
 * gendert werden. Copyright-Hinweise und *
 * Links auf www.der-domi.de drfen nicht  *
 * verndert werden und mssen jederzeit   *
 * sichtbar bleiben!                       *
 *                                         *
 *******************************************
 */

/*
 * Installationsskript
 */


// includes
require("../settings/admin.php");
require("../settings/php.php");
require("../classes/class.ctlVar.php");
require("../classes/class.db.php");
require("../classes/class.out.php");
require("../classes/class.phpmailer.php");
require("../classes/class.settings.php");
require("../includes/functions.php");
require("../includes/funcOutput.php");

$myDB  = new db($server, $username, $pass, $dbase, $prefix, $MySQL_Ver);
$out   = new out( "  ", 0 );
$settings = new settings( $myDB, TRUE );
$settings->standardStyle = "../styles/style01.css";
$settings->browserTitel = "Filmverwaltung mit PHP &amp; MySQL";
$myVar = new ctlVar($settings,$myDB,$COOCKIES_ACTIVE,TRUE);


//$myVar->crtlGetPostData( $myDB, $settings );
$out->startBuffer();

if ( isset($_REQUEST['sent']) )
{
        // neue Tabellen erstellen
        if ($_REQUEST['Res'] == 1) {
        $sql = "ALTER TABLE $myDB->RESERVIERUNG ADD AdminMessage INT( 10 ) UNSIGNED NOT NULL DEFAULT '0'";
        $rs = $myDB->go($sql);
        }
        if ($_REQUEST['Tna'] == 1) {
        $sql = "ALTER TABLE $myDB->TON MODIFY Name varchar( 50 ) NOT NULL";
        $rs = $myDB->go($sql);
        }
        if ($_REQUEST['Bil'] == 1) {
        $sql = "ALTER TABLE $myDB->FILME ADD Aufloesung varchar( 5 ) DEFAULT NULL";
        $rs = $myDB->go($sql);
        }
        if ($_REQUEST['Auf'] == 1) {
        $sql = "ALTER TABLE $myDB->FILME ADD Bildformat varchar( 6 ) DEFAULT NULL";
        $rs = $myDB->go($sql);
        }
        if ($_REQUEST['EAN'] == 1) {
        $sql = "ALTER TABLE $myDB->FILME ADD EAN varchar( 20 ) DEFAULT NULL";
        $rs = $myDB->go($sql);
        }
        if ($_REQUEST['Tbe'] == 1) {
        $sql = "ALTER TABLE $myDB->TON MODIFY Beschreibung varchar( 255 )";
        $rs = $myDB->go($sql);
        }
        if ($_REQUEST['Fbe'] == 1) {
        $sql = "ALTER TABLE $myDB->FORMATE ADD Beschreibung varchar( 255 )";
        $rs = $myDB->go($sql);
        }
        if ($_REQUEST['Res'] == 2) {
        $sql = "CREATE TABLE IF NOT EXISTS $myDB->RESERVIERUNG (FILME_FilmID int(10) unsigned NOT NULL, USERS_UserID int(10) unsigned NOT NULL default 0, reserviertAm date NOT NULL default '0000-00-00', AdminMessage INT( 10 ) UNSIGNED NOT NULL DEFAULT 0, PRIMARY KEY  (FILME_FilmID, USERS_UserID)), KEY FKIndex1 (FILME_FilmID), KEY FKIndex2 (USERS_UserID)";
        $rs = $myDB->go($sql);
        }
        if ($_REQUEST['Res_Usr'] == 1) {
        $sql = "ALTER TABLE $myDB->USERS ADD GetResEmails INT( 1 ) UNSIGNED NOT NULL DEFAULT '1'";
        $rs = $myDB->go($sql);
        }
        if ($_REQUEST['TBr'] == 1) {
        $sql = "ALTER TABLE $myDB->FILME_TRAILER_TYP ADD TrailerBreite INT( 4 ) UNSIGNED DEFAULT NULL";
        $rs = $myDB->go($sql);
        }
        if ($_REQUEST['THo'] == 1) {
        $sql = "ALTER TABLE $myDB->FILME_TRAILER_TYP ADD TrailerHoehe INT( 4 ) UNSIGNED DEFAULT NULL";
        $rs = $myDB->go($sql);
        }
        if ($_REQUEST['Res_Ses'] == 1) {
        $sql = "ALTER TABLE $myDB->USERS ADD lastActive INT( 10 ) UNSIGNED NOT NULL DEFAULT '0' AFTER lastLogin";
        $rs = $myDB->go($sql);
        }
        if ($_REQUEST['Res_Own'] == 1) {
        $sql = "ALTER TABLE $myDB->USERS ADD ownFilms INT( 1 ) UNSIGNED NOT NULL DEFAULT '0' AFTER UserRechte";
        $rs = $myDB->go($sql);
        }
        if ($_REQUEST['Fsk'] == 1) {
        $sql = "INSERT DELAYED IGNORE INTO $myDB->SETTINGS (Variable, Wert) VALUES
        ('ModFSK', 'TRUE')";
        $rs = $myDB->go($sql);
        }
        if ($_REQUEST['Ton'] == 1) {
        $sql = "ALTER TABLE {$prefix}FILME_TON ADD SprachID INT( 11 ) UNSIGNED NOT NULL DEFAULT 1, DROP PRIMARY KEY,ADD PRIMARY KEY(FilmID, TonID,SprachID)";
        $rs = $myDB->go($sql);
        $sql2 = "RENAME TABLE {$prefix}FILME_TON TO $myDB->FILME_TON_SPRACHE";
	      $rs2 = $myDB->go($sql2);
        }
        if ($_REQUEST['Ton'] == 2) {
        $sql = "CREATE TABLE IF NOT EXISTS $myDB->FILME_TON_SPRACHE (FilmID int(11) unsigned NOT NULL, TonID int(11) unsigned NOT NULL default 1, SprachID int(11) unsigned NOT NULL default 1, PRIMARY KEY  (FilmID,TonID,SprachID))";
        $rs = $myDB->go($sql);
        }
        if ($_REQUEST['Ton_Ton'] == 1) {
        $sql =	"CREATE TABLE IF NOT EXISTS $myDB->TON (TonID int(11) unsigned NOT NULL auto_increment, Name varchar(50) NOT NULL, Beschreibung varchar(255) NOT NULL, BildURL varchar(150) NOT NULL,  PRIMARY KEY  (TonID)) AUTO_INCREMENT=5";
        $rs = $myDB->go($sql);
        $sql2 = "INSERT DELAYED IGNORE INTO $myDB->TON (TonID, Name, Beschreibung, BildURL) VALUES
        (1, 'Dolby Digital', 'Dolby Digital ist mit jedem herk&ouml;mmlichen DVD Player abspielbar', './img/Formate/Dolby Digital.jpg'),
        (2, 'DTS', 'DTS Ton ist nur in DVD Playern mit DTS Dekoder abspielbar', './img/Formate/DTS.gif'),
        (3, 'Mono', 'altert&amp;uuml;mliches Tonformat mit nur einem Kanal', './img/Formate/Mono.gif'),
        (4, 'Stereo', 'Tonformat wird von jedem DVD Player unterst&uuml;zt.', './img/Formate/Stereo.jpg')";
        $rs2 = $myDB->go($sql2);
        }
        if ($_REQUEST['FUt'] == 1) {
        $sql = "CREATE TABLE IF NOT EXISTS $myDB->FILME_UNTERTITEL (FILME_FilmID int(11) unsigned NOT NULL, SPRACHE_SprachID int(11) unsigned NOT NULL, PRIMARY KEY(FILME_FilmID, SPRACHE_SprachID), KEY FKIndex1(FILME_FilmID), KEY FKIndex2(SPRACHE_SprachID))";
        $rs = $myDB->go($sql);
        }
        if ($_REQUEST['IQu'] == 1) {
        $sql = "CREATE TABLE $myDB->IMPORT_QUELLE (QuellID int(11) unsigned NOT NULL auto_increment, QuellBezeichnung varchar(50) NOT NULL, PRIMARY KEY  (QuellID))";
        $rs = $myDB->go($sql);
        }
        if ($_REQUEST['ITy'] == 1) {
        $sql = "CREATE TABLE $myDB->IMPORT_TYP (TypID int(11) unsigned NOT NULL auto_increment, TypBezeichnung varchar(50) NOT NULL, PRIMARY KEY  (TypID))";
        $rs = $myDB->go($sql);
        }
        if ($_REQUEST['IUe'] == 1) {
        $sql = "CREATE TABLE $myDB->IMPORT_UEBERSETZUNG (ImportText varchar(100) NOT NULL, DBText varchar(100) NOT NULL, IMPORT_QUELLE_QuellID int(11) unsigned NOT NULL, RowID int(11) unsigned NOT NULL auto_increment, IMPORT_TYP_TypID int(11) unsigned NOT NULL, PRIMARY KEY  (RowID), KEY FKIndex1 (IMPORT_QUELLE_QuellID), KEY FKIndex2 (IMPORT_TYP_TypID))";
        $rs = $myDB->go($sql);
        }
        if ($_REQUEST['Tra'] == 1) {
        $sql = "CREATE TABLE IF NOT EXISTS $myDB->TRAILER_TYP (TrailerTypID int(10) unsigned NOT NULL auto_increment, TrailerTypBeschreibung varchar(50) NOT NULL, PRIMARY KEY  (TrailerTypID)) AUTO_INCREMENT=0";
        $rs = $myDB->go($sql);
        $sql2 = "INSERT DELAYED INTO $myDB->TRAILER_TYP (TrailerTypID, TrailerTypBeschreibung) VALUES 
        (1, 'Embedded HTML'),
        (2, 'WebLink'),
        (3, 'Eigener Trailer')";
        $rs2 = $myDB->go($sql2);
        }
        if ($_REQUEST['FTr'] == 1) {
        $sql = "CREATE TABLE IF NOT EXISTS $myDB->FILME_TRAILER_TYP (TrailerTypID int(10) unsigned NOT NULL, FILME_FilmID int(10) unsigned NOT NULL, Rang int(10) unsigned NOT NULL default '1', TrailerConfig varchar(300) default NULL, PRIMARY KEY  (FILME_FilmID,Rang), KEY FKIndex1(FILME_FilmID) )";
        $rs = $myDB->go($sql);
        }
        if ($_REQUEST['Ton_Spr'] == 1) {
        $sql = "CREATE TABLE IF NOT EXISTS $myDB->SPRACHE (SprachID int(11) unsigned NOT NULL auto_increment, Bezeichnung varchar(25) NOT NULL, PRIMARY KEY  (SprachID)) AUTO_INCREMENT=3";
        $rs = $myDB->go($sql);
        $sql2 = "INSERT DELAYED IGNORE INTO $myDB->SPRACHE (SprachID, Bezeichnung) VALUES
        (1, 'Deutsch'),
        (2, 'Englisch')";
        $rs2 = $myDB->go($sql2);
        }
        if ($_REQUEST['Ton_Tex'] == 1) {
        $sql = "INSERT DELAYED IGNORE INTO $myDB->SETTINGS (Variable, Wert) VALUES
        ('ModTonText', 'FALSE')";
        $rs = $myDB->go($sql);
        }
        if ($_REQUEST['His'] == 1) {
            $sql = "CREATE TABLE IF NOT EXISTS $myDB->HISTORY (HistoryID int(10) unsigned NOT NULL auto_increment, FILME_FilmID int(10) unsigned NOT NULL, USERS_UserID int(10) unsigned NOT NULL, ausgeliehenAm date NOT NULL default '0000-00-00', zurueckgegebenAm date NOT NULL default '0000-00-00', PRIMARY KEY (HistoryID), KEY FILME_FilmID (FILME_FilmID, USERS_UserID), KEY FKIndex1(FILME_FilmID), KEY FKIndex2(USERS_UserID)";
            $rs = $myDB->go($sql);
            $sql2 = "SELECT FILME_FilmID, USERS_UserID, ausgeliehenAm FROM $myDB->DISCS WHERE ausgeliehenAm !='0000-00-00'";
            $rs2 = $myDB->go($sql2);
            while ( $row2 = $myDB->getRow($rs2)) {
                $sql3 = "INSERT INTO $myDB->HISTORY (FILME_FilmID, USERS_UserID, ausgeliehenAm) VALUES ({$row2['FILME_FilmID']}, {$row2['USERS_UserID']}, '{$row2['ausgeliehenAm']}')";
                $rs3 = $myDB->go($sql3);
            }
        }
        if ($_REQUEST['His_Usr'] == 1) {
        $sql = "ALTER TABLE $myDB->USERS ADD showUserName INT( 1 ) UNSIGNED NOT NULL DEFAULT '1' AFTER showSmallCovers";
        $rs = $myDB->go($sql);
        }
        if ($_REQUEST['His_Adm'] == 1) {
        $sql = "INSERT DELAYED IGNORE INTO $myDB->SETTINGS (Variable, Wert) VALUES ('showHistory', 'TRUE')";
        $rs = $myDB->go($sql);
        }
        if ($_REQUEST['Sort'] == 1) {
        $sql = "INSERT DELAYED IGNORE INTO $myDB->SETTINGS (Variable, Wert) VALUES ('randomSort', '0')";
        $rs = $myDB->go($sql);
        }
        if ($_REQUEST['Ratio'] == 1) {
        $sql = "INSERT DELAYED IGNORE INTO $myDB->SETTINGS (Variable, Wert) VALUES ('Bewertungsratio', '65')";
        $rs = $myDB->go($sql);
        }
        if ($_REQUEST['Fav'] == 1) {
        $sql = "INSERT DELAYED IGNORE INTO $myDB->SETTINGS (Variable, Wert) VALUES ('Favicon', 'favicon.ico')";
        $rs = $myDB->go($sql);
        }
        if ($_REQUEST['Res_Ver'] == 1) {
        $sql = "ALTER TABLE $myDB->HISTORY CHANGE zurueckgegebenAm zurueckgegebenAm DATE NULL";
        $rs = $myDB->go($sql);
        $sql2 = "UPDATE $myDB->HISTORY SET zurueckgegebenAm = NULL WHERE zurueckgegebenAm = '0000-00-00'";
        $rs2 = $myDB->go($sql2);
        }
        if ($_REQUEST['Ffu'] == 1) {
        $sql = "ALTER TABLE $myDB->FORMATE ADD FormatURL varchar( 150 )";
        $rs = $myDB->go($sql);
        }
        if ( $_REQUEST['aTr'] == 1 ) {
          $sql = "INSERT DELAYED IGNORE INTO $myDB->SETTINGS (Variable, Wert) VALUES ('activateTrailer', 'FALSE')";
          $rs = $myDB->go($sql);
        }
        if ( $_REQUEST['aTd'] == 1 ) {
          $sql = "INSERT DELAYED IGNORE INTO $myDB->SETTINGS (Variable, Wert) VALUES ('activateTonDetails', 'FALSE')";
          $rs = $myDB->go($sql);
        }
        if ( $_REQUEST['aSt'] == 1 ) {
          $sql = "INSERT DELAYED IGNORE INTO $myDB->SETTINGS (Variable, Wert) VALUES ('activateSortierTitel', 'FALSE')";
          $rs = $myDB->go($sql);
        }
        if ( $_REQUEST['aRs'] == 1 ) {
          $sql = "INSERT DELAYED IGNORE INTO $myDB->SETTINGS (Variable, Wert) VALUES ('activateReservierung', 'FALSE')";
          $rs = $myDB->go($sql);
        }
        if ( $_REQUEST['sTh'] == 1 ) {
          $sql = "INSERT DELAYED IGNORE INTO $myDB->SETTINGS (Variable, Wert) VALUES ('standardTrailerHoehe', '280')";
          $rs = $myDB->go($sql);
        }
        if ( $_REQUEST['sTb'] == 1 ) {
           $sql = "INSERT DELAYED IGNORE INTO $myDB->SETTINGS (Variable, Wert) VALUES ('standardTrailerBreite', '450')";
          $rs = $myDB->go($sql);
        }
        if ( $_REQUEST['Tas'] == 1 ) {
          $sql = "INSERT DELAYED IGNORE INTO $myDB->SETTINGS (Variable, Wert) VALUES ('TrailerAutoStart', 'FALSE')";
          $rs = $myDB->go($sql);
        }
        if ( $_REQUEST['saf'] == 1 ) {
          $sql = "INSERT DELAYED IGNORE INTO $myDB->SETTINGS (Variable, Wert) VALUES ('showArtikelFirst', 'FALSE')";
          $rs = $myDB->go($sql);
        }
        if ( $_REQUEST['sFl'] == 1 ) {
          $sql = "INSERT DELAYED IGNORE INTO $myDB->SETTINGS (Variable, Wert) VALUES ('showFormatLogo', 'TRUE')";
          $rs = $myDB->go($sql);
        }
        if ( $_REQUEST['ofi'] == 1 ) {
          $sql = "INSERT DELAYED IGNORE INTO $myDB->SETTINGS (Variable, Wert) VALUES ('overrideFormatByImport', 'FALSE')";
          $rs = $myDB->go($sql);
        }
        if ($_REQUEST['Sor'] == 1) {
        $sql = "ALTER TABLE $myDB->FILME ADD Sortiertitel VARCHAR( 255 )";
        $rs = $myDB->go($sql);
        }

       
    if ( count( $myVar->warnung ) )
        unset($_REQUEST['sent']);
}


// Hier werden Ausgaben fr das Men gemacht
printHeader( $settings );
echo "<div id=\"seite\">";
printTopLogin( $myVar, $settings );

echo "<div id=\"untermenu\">";
echo "<ul>";

echo "</ul>";
echo "</div>";



if ( count( $myVar->warnung ) )
{
    echo "<ul class=\"message\" style=\"background-color:#f88\">";
    for ( $i=0; $i<count( $myVar->warnung ); ++$i )
        echo "<li>".$myVar->warnung[$i]."</li>";
    echo "</ul>";
}

if ( count( $myVar->hinweis ) )
{
    echo "<ul class=\"message\" style=\"background-color:#ffa\">";
    for ( $i=0; $i<count( $myVar->hinweis ); ++$i )
        echo "<li>".$myVar->hinweis[$i]."</li>";
    echo "</ul>";
}


echo "<div id=\"inhalt\">";
// Hier die Prfungen, wie de DB derzeit aussieht
$Res = "2";
$Fsk = "1";
$Ton = "2";
$Ton_Ton = "1";
$Ton_Spr = "1";
$Ton_Tex = "1";
$Res_Usr = "1";
$Res_Ses = "1";
$Res_Own = "1";
$Res_Ver = "1";
$His = "1";
$Fav = "1";
$Sort = "1";
$Ratio = "1";
$His_Usr = "1";
$His_Adm = "1";
$sTh = "1";
$sTb = "1";
$Tas = "1";
$aTr = "1";
$aTd = "1";
$aSt = "1";
$aRs = "1";
$Tra = "1";
$FTr = "1";
$Sor = "1";
$Tna = "1";
$Tbe = "1";
$Fbe = "1";
$sFl = "1";
$Ffu = "1";
$saf = "1";
$ofi = "1";
$FUt = "1";
$ITy = "1";
$IUe = "1";
$IQu = "1";
$Auf = "1";
$Bil = "1";
$TBr = "1";
$THo = "1";
$EAN = "1";

// Tabellen der Datenbank einzelnd durchgehen und prfen
$sql = "SHOW TABLES FROM $dbase";
$rs = $myDB->go($sql);
while ( $row = $myDB->getRow($rs)) {
    if ( strtolower($row[Tables_in_.$dbase]) == strtolower($myDB->RESERVIERUNG) ) {
        $sql2 = "SHOW COLUMNS FROM $myDB->RESERVIERUNG";
        $rs2 = $myDB->go($sql2);
        while ( $row2 = $myDB->getRow($rs2)) {
            if ( strtolower($row2[Field]) == adminmessage  ) {
            $Res = "0";
            } else {
            $Res = "1";
            }
        }
    }

    if ( strtolower($row[Tables_in_.$dbase]) == strtolower($myDB->HISTORY) ) {  
        $His = "0";
        $sql9 = "SHOW COLUMNS FROM $myDB->HISTORY WHERE lower(Field) = 'zurueckgegebenam'";
        $rs9 = $myDB->go($sql9);
        
        while ( $row9 = $myDB->getRow($rs9)) {
            if ( $row9['Null'] == YES  ) {
            $Res_Ver = "0";
            }
        }
        
    }
    
    if ( strtolower($row[Tables_in_.$dbase]) == strtolower($myDB->TRAILER_TYP) ) {  
        $Tra = "0";
    }
    
    if ( strtolower($row[Tables_in_.$dbase]) == strtolower($myDB->FILME_TRAILER_TYP) ) {  
        $FTr = "0";       
        $sql20 = "SHOW COLUMNS FROM $myDB->FILME_TRAILER_TYP";
        $rs20 = $myDB->go($sql20);
        while ( $row20 = $myDB->getRow($rs20)) {
        
            if ( strtolower($row20['Field']) == trailerbreite  ) {
              $TBr = "0";
            }
            
            if ( strtolower($row20['Field']) == trailerhoehe  ) {
              $THo = "0";
            }
        }
        $TBr = "0";
        $THo = "0";
    }
    
    if ( strtolower($row[Tables_in_.$dbase]) == strtolower($myDB->FILME_UNTERTITEL) ) {  
        $FUt = "0";
    }
    
    if ( strtolower($row[Tables_in_.$dbase]) == strtolower($myDB->IMPORT_TYP) ) {  
        $ITy = "0";
    }
    
    if ( strtolower($row[Tables_in_.$dbase]) == strtolower($myDB->IMPORT_UEBERSETZUNG) ) {  
        $IUe = "0";
    }
    
    if ( strtolower($row[Tables_in_.$dbase]) == strtolower($myDB->IMPORT_QUELLE) ) {  
        $IQu = "0";
    }

    if ( strtolower($row[Tables_in_.$dbase]) == strtolower($myDB->USERS)  ) {
        $sql4 = "SHOW COLUMNS FROM $myDB->USERS";
        $rs4 = $myDB->go($sql4);
        
        while ( $row4 = $myDB->getRow($rs4)) {
            if ( strtolower($row4[Field]) == getresemails ) {
              $Res_Usr = "0";
            }
            
            if ( strtolower($row4[Field]) == lastactive ) {
              $Res_Ses = "0";
            }
            
            if ( strtolower($row4[Field]) == ownfilms  ) {
              $Res_Own = "0";
            }
                
            if ( strtolower($row4[Field]) == showusername ) {
              $His_Usr = "0";
            }  
        }
    }   
    
    if ( strtolower($row[Tables_in_.$dbase]) == strtolower($myDB->FORMATE)  ) {
        $sql4 = "SHOW COLUMNS FROM $myDB->FORMATE";
        $rs4 = $myDB->go($sql4);
        while ( $row4 = $myDB->getRow($rs4)) {
            if ( strtolower($row4[Field]) == beschreibung && $row4[Type] == 'varchar(255)' ) {
              $Fbe = "0";
            }
            if ( strtolower($row4[Field]) == formaturl ) {
              $Ffu = "0";
            }
        }
    }   
    
    if ( strtolower($row[Tables_in_.$dbase]) == strtolower($myDB->FILME)  ) {
        $sql4 = "SHOW COLUMNS FROM $myDB->FILME";
        $rs4 = $myDB->go($sql4);
        while ( $row4 = $myDB->getRow($rs4)) {
        
            if ( strtolower($row4[Field]) == sortiertitel  ) {
              $Sor = "0";
            }
            
            if ( strtolower($row4[Field]) == aufloesung  ) {
              $Auf = "0";
            }
            
            if ( strtolower($row4[Field]) == bildformat  ) {
              $Bil = "0";
            } 
            
            if ( strtolower($row4[Field]) == ean  ) {
              $EAN = "0";
            } 
        }
    }        
    
    if ( strtolower($row[Tables_in_.$dbase]) == strtolower($myDB->SETTINGS)  ) {
    
        $sql3 = "SELECT upper(Variable) as Variable FROM $myDB->SETTINGS";
        $rs3 = $myDB->go($sql3);
        
        while ( $row3 = $myDB->getRow($rs3) ) {
        
          if ($row3['Variable'] == MODFSK) {
              $Fsk = "0";
          }
          
          if ($row3['Variable'] == SHOWHISTORY) {
              $His_Adm = "0";
          }
          
          if ($row3['Variable'] == MODTONTEXT) {
              $Ton_Tex = "0";
          }
          
          if ($row3['Variable'] == RANDOMSORT) {
              $Sort = "0";
          }
          
          if ($row3['Variable'] == BEWERTUNGSRATIO) {
              $Ratio = "0";
          }
  
          if ($row3['Variable'] == FAVICON) {
              $Fav = "0";
          }
  
          if ($row3['Variable'] == ACTIVATERESERVIERUNG) {
              $aRs = "0";
          } 
          
          if ($row3['Variable'] == ACTIVATESORTIERTITEL) {
              $aSt = "0";
          }
          
          if ($row3['Variable'] == ACTIVATETONDETAILS) {
              $aTd = "0";
          }
          
          if ($row3['Variable'] == ACTIVATETRAILER) {
              $aTr = "0";
          }
          
          if ($row3['Variable'] == TRAILERAUTOSTART) {
              $Tas = "0";
          }
          
          if ($row3['Variable'] == STANDARDTRAILERBREITE) {
              $sTb = "0";
          }
          
          if ($row3['Variable'] == STANDARDTRAILERHOEHE) {
              $sTh = "0";
          } 
          
          if ($row3['Variable'] == SHOWFORMATLOGO) {
              $sFl = "0";
          }
          
          if ($row3['Variable'] == SHOWARTIKELFIRST) {
              $saf = "0";
          }
          
          if ($row3['Variable'] == OVERRIDEFORMATBYIMPORT) {
              $ofi = "0";
          }           
        }        
    }

    if ( strtolower($row[Tables_in_.$dbase]) == strtolower($prefix.FILME_TON) ) {
        $Ton = "1";
    } elseif ( strtolower($row[Tables_in_.$dbase]) == strtolower($myDB->FILME_TON_SPRACHE) ) {
        $Ton = "0";         
    }
    if ( strtolower($row[Tables_in_.$dbase]) == strtolower($myDB->TON) ) {
        $Ton_Ton = "0";
        $sql4 = "SHOW COLUMNS FROM $myDB->TON";
        $rs4 = $myDB->go($sql4);
        while ( $row4 = $myDB->getRow($rs4)) {
            if ( strtolower($row4[Field]) == name  && $row4[Type] == 'varchar(50)' ) {
            $Tna = "0";
            }
            if ( strtolower($row4[Field]) == beschreibung && $row4[Type] == 'varchar(255)' ) {
            $Tbe = "0";
            }
        }
    }
    if ( strtolower($row[Tables_in_.$dbase]) == strtolower($myDB->SPRACHE) ) {
        $Ton_Spr = "0";
    }

}
if ($Res == 0 && $Fsk == 0 && $Ton == 0 && $Ton_Ton == 0 && $Ton_Spr == 0 && $Ton_Tex == 0 && $Res_Usr == 0 && $Res_Ses == 0 
    && $Res_Own == 0 && $His == "0" && $His_Usr == "0" && $His_Adm == "0" && $Ratio == "0" && $Sort == "0" && $Res_Ver == "0" 
    && $Fav == "0" && $sTh == "0" && $sTb == "0" && $Tas == "0" && $aTr == "0" && $aTd == "0" && $aSt == "0" && $aRs == "0" 
    && $Tra == "0" && $FTr == "0" && $Sor == "0" && $Tna == "0" && $Tbe == "0" && $Fbe == "0"  && $sFl == "0" && $Ffu == "0" 
    && $ovi == 0 && $FUt == "0" && $ITy == "0" && $IUe == "0" && $IQu == "0" && $saf == "0" && $Bil == "0" && $Auf == "0"
    && $TBr == "0" && $THo == "0" && $EAN = "0") {
    $no_install = TRUE;
} else {
    $no_install = FALSE;
}

if ($no_install) {
    echo "<p></p>";
    echo "<h2>INSTALLATIONSVERZEICHNIS VOM SERVER L&Ouml;SCHEN!</h2>";
    echo "Keine Installation bzw. Update ntig, da bereits die aktuellste Datenbankversion installiert ist.<br/>";
} else {
if ( !isset($_REQUEST['sent']) || count( $myVar->warnung ) )
{
    echo "<p><h2>Installationsskript fr AllInOne 2.0</h2></p>";
    $sql = "SELECT VERSION() AS version";
    $rs = $myDB->go($sql);
    $row = $myDB->getRow($rs);
    echo "<p>MySQL-Version ist: ".$row['version'];
    if ( (float)$row['version'] < 4.1 ) {
        echo "<br />Es scheint so, als ob es eine alte Version ist. Beachte den Eintrag in der Datei 'admin.php'! Sonst kommt es zu Fehlermeldungen.";
    }
    echo "</p>";
    echo "<p><b>VOR DEM AUSFHREN DIESES SKRIPTES EINE SICHERHEITSKOPIE DER DATENBANK MACHEN !</b><br/><br/>Diese Script nimmt automatisch die ntigen nderungen in der Datanbank vor.  Es werden neue Tabellen erstellt, sowie eventuell vorhandene Tabellen abgendert. ";
    echo "<form method=\"post\" action=\"{$_SERVER['PHP_SELF']}\">";
    echo "<p>";
// Eventuelle Ausgaben fr bessere Verstndlichekiet was innerhalb des Skriptes passiert
    if($Res == 1){
        echo "Die Tabelle fr die Reservierung ist bereits vorhaden. Jedoch fehlt die Spalte AdminMessage. Diese wird nun hinzugefgt.<br/>";
        echo "<input type=\"hidden\" name=\"Res\" value=\"1\" />";
    }
    if($Res == 2){
        echo "Der Reservierungsmod wurde auf diesem System noch nicht installiert. Daher wird nun eine neue Tabelle mit den ntigen Eintrgen angelegt.<br/>";
        echo "<input type=\"hidden\" name=\"Res\" value=\"2\" />";
    }
    if($Res_Usr == 1){
        echo "Fr die neuen MultiAdmin Cronjobs (deaktivierbar) muss ein Konfigurationseintrag innerhalb der Datenbank gesetzt werden.<br/>";
        echo "<input type=\"hidden\" name=\"Res_Usr\" value=\"1\" />";
    }
    if($Res_Ses == 1){
        echo "Damit der Cronjob erkennt ob ein User Online ist, muss ein Eintrag zu der User Tabelle hinzugefgt werden.<br/>";
        echo "<input type=\"hidden\" name=\"Res_Ses\" value=\"1\" />";
    }
    if($Sor == 1){
        echo "Damit der Sortiertitel Mod funktionieren kann, muss ein Eintrag zu der Film Tabelle hinzugefgt werden.<br/>";
        echo "<input type=\"hidden\" name=\"Sor\" value=\"1\" />";
    }
    if($Res_Own == 1){
        echo "Fr die neue Admin Klasse muss ein zustzlicher Konfiguratioseintrag gesetzt werden.<br/>";
        echo "<input type=\"hidden\" name=\"Res_Own\" value=\"1\" />";
    }
    if($Res_Ver == 1){
        echo "Es mssen strukturelle nderungen an der History Tabelle vorgenommen werden.<br/>";
        echo "<input type=\"hidden\" name=\"Res_Ver\" value=\"1\" />";
    }
    if($Fsk == 1){
        echo "Der Eintrag fr die Konfiguration der grafischen FSK Anzeige ist nicht vorhanden. Daher wird dieser nachgetragen.<br/>";
        echo "<input type=\"hidden\" name=\"Fsk\" value=\"1\" />";
    }
    if($Ton == 1){
        echo "Die Tablle Filme_Ton ist bereits vorhanden. Es handelt sich um eine alte Tabelle. Diese wird nun in Filme_Ton_Sprache umbenannt und die Spalte SprachID wird hinzugefgt. Des Weiteren wird die Tabelle Sprache angelegt.<br/>";
        echo "<input type=\"hidden\" name=\"Ton\" value=\"1\" />";
    }
    if($Ton == 2){
        echo "Der Ton/Sprachenmod wurde auf diesem System noch nicht installiert. Daher werden nun drei neue Tabellen mit den ntigen Eintrgen angelegt.<br/>";
        echo "<input type=\"hidden\" name=\"Ton\" value=\"2\" />";
    }
    if($Tna == 1){
        echo "Die Eingabelnge fr den Tonformatname wurde verlngert. Daher muss die Feldlnge der Tabelle angepasst werden<br/>";
        echo "<input type=\"hidden\" name=\"Tna\" value=\"1\" />";
    }
    if($Tbe == 1){
        echo "Die Eingabelnge fr die Tonformatbeschreibung wurde verlngert. Daher muss die Feldlnge der Tabelle angepasst werden<br/>";
        echo "<input type=\"hidden\" name=\"Tbe\" value=\"1\" />";
    }
    if($Fbe == 1){
        echo "Die Formate wurden um Logos erweitert. Daher muss ein neues Datenbankfeld angelegt werden.<br/>";
        echo "<input type=\"hidden\" name=\"Fbe\" value=\"1\" />";
    }
    if($sFl == 1){
        echo "Auerdem muss ein weiterer Eintrag fr die abschaltbaren Formatlogos gesetzt werden.<br/>";
        echo "<input type=\"hidden\" name=\"sFl\" value=\"1\" />";
    }
    if($Ffu == 1){
        echo "Es muss ein neues Feld zur Tabelle Formate hinzugefgt werden, damit die Logos angezeigt werden knnen.<br/>";
        echo "<input type=\"hidden\" name=\"Ffu\" value=\"1\" />";
    }
    if($Tra == 1){
        echo "Der Trailer Mod wurde auf diesem System noch nicht installiert. Daher wird nun die Tabelle TRAILER_TYP angelegt.<br/>";
        echo "<input type=\"hidden\" name=\"Tra\" value=\"1\" />";
    }
    if($FTr == 1){
        echo "Der Trailer Mod wurde auf diesem System noch nicht installiert. Daher wird nun die Tabelle FILME_TRAILER_TYP angelegt.<br/>";
        echo "<input type=\"hidden\" name=\"FTr\" value=\"1\" />";
    }
    if($Ton_Ton == 1){
        echo "<input type=\"hidden\" name=\"Ton_Ton\" value=\"1\" />";
    }
    if($Ton_Spr == 1){
        echo "<input type=\"hidden\" name=\"Ton_Spr\" value=\"1\" />";
    }
    if($Ton_Tex == 1){
        echo "Der Eintrag fr die Konfiguration der grafischen Tondetails ist nicht vorhanden. Daher wird dieser nachgetragen.<br/>";
        echo "<input type=\"hidden\" name=\"Ton_Tex\" value=\"1\" />";
    }
    if($Sort == 1){
        echo "Es muss ein Konfigurationseintrag fr die einstellbare Startseite gesetzt werden.<br/>";
        echo "<input type=\"hidden\" name=\"Sort\" value=\"1\" />";
    }
    if($Ratio == 1){
        echo "Es muss ein Konfigurationseintrag fr die Reservierungssperre gesetzt werden.<br/>";
        echo "<input type=\"hidden\" name=\"Ratio\" value=\"1\" />";
    }
    if($aTr == 1){
        echo "Es muss ein Konfigurationseintrag gesetzt werden um den Trailer Mod abschaltbar zu machen.<br/>";
        echo "<input type=\"hidden\" name=\"aTr\" value=\"1\" />";
    }
    if($sTh == 1){
        echo "Es muss ein Konfigurationseintrag fr die Standardbreite des Trailer Mod gesetzt werden.<br/>";
        echo "<input type=\"hidden\" name=\"sTh\" value=\"1\" />";
    }
    if($sTb == 1){
        echo "Weiterhin muss ein Konfigurationseintrag fr die Standardhhe des Trailer Mod gesetzt werden.<br/>";
        echo "<input type=\"hidden\" name=\"sTb\" value=\"1\" />";
    }
    if($Tas == 1){
        echo "Es muss ein Konfigurationseintrag fr den automatischen Trailerstart gesetzt werden.<br/>";
        echo "<input type=\"hidden\" name=\"Tas\" value=\"1\" />";
    }
    if($Ratio == 1){
        echo "Es muss ein Konfigurationseintrag fr die Reservierungssperre gesetzt werden.<br/>";
        echo "<input type=\"hidden\" name=\"Ratio\" value=\"1\" />";
    }
    if($aTd == 1){
        echo "Es muss ein Konfigurationseintrag gesetzt werden um den Tondetails Mod abschaltbar zu machen.<br/>";
        echo "<input type=\"hidden\" name=\"aTd\" value=\"1\" />";
    }
    if($aSt == 1){
        echo "Es muss ein Konfigurationseintrag gesetzt werden um den Sortiertitel Mod abschaltbar zu machen.<br/>";
        echo "<input type=\"hidden\" name=\"aSt\" value=\"1\" />";
    }
    if($aRs == 1){
        echo "Es muss ein Konfigurationseintrag gesetzt werden um den Reservierungs Mod abschaltbar zu machen.<br/>";
        echo "<input type=\"hidden\" name=\"aRs\" value=\"1\" />";
    }
    if($Fav == 1){
        echo "Es muss ein Konfigurationseintrag fr das Favicon gesetzt werden.<br/>";
        echo "<input type=\"hidden\" name=\"Fav\" value=\"1\" />";
    }
    if($saf == 1){
        echo "Es muss ein Konfigurationseintrag fr die Einstellung der Artikel gesetzt werden.<br/>";
        echo "<input type=\"hidden\" name=\"saf\" value=\"1\" />";
    }            
    if($His == 1){
        $sql = "SELECT COUNT(*) AS anz FROM $myDB->DISCS WHERE ausgeliehenAm !='0000-00-00'";
        $rs = $myDB->go($sql);
        $row = $myDB->getRow($rs);
        echo "Die Tabelle fr die Verleihhistory ist nicht vorhanden und muss angelegt werden.";
        if($row['anz'] != 0)
            echo " Es erfolgt eine automatische Datenbernahme der derzeit verliehen Filme. Insgesamt werden {$row['anz']} Eintrge bertragen.<br/>";
        else
            echo "<br/>";
        echo "<input type=\"hidden\" name=\"His\" value=\"1\" />";
    }    
    if($His_Usr == 1){
        echo "Fr die Annonymittseinstellung der User muss eine neue Spalte zur Usertabelle hinzugefgt werden.<br/>";
        echo "<input type=\"hidden\" name=\"His_Usr\" value=\"1\" />";
    }    
    if($His_Adm == 1){
        echo "Auerdem muss fr die Konfiguration (abschaltabre History fr User) ein Eintrag in die Settings Tabelle gemacht werden.<br/>";
        echo "<input type=\"hidden\" name=\"His_Adm\" value=\"1\" />";
    } 
    if($FUt == 1){
        echo "Fr den Import der Untertitel muss eine neue Tabelle angelegt werden.<br/>";
        echo "<input type=\"hidden\" name=\"FUt\" value=\"1\" />";
    }    
    if($IQu == 1){
        echo "Fr die Quellen des konfigurierbaren Imports muss eine neue Tabelle angelegt werden.<br/>";
        echo "<input type=\"hidden\" name=\"IQu\" value=\"1\" />";
    }
    if($IUe == 1){
        echo "Fr die Umschlsselung der Importinformation in die Datenbankinformationen muss eine neue Tabelle angelegt werden.<br/>";
        echo "<input type=\"hidden\" name=\"IUe\" value=\"1\" />";
    } 
    if($ITy == 1){
        echo "Fr die unterschiedlichen Typen des kongigurierbaren Importes muss eine neue Tabelle angelegt werden.<br/>";
        echo "<input type=\"hidden\" name=\"ITy\" value=\"1\" />";
    }
    if($Auf == 1){
        echo "Die Tabelle Filme muss um eine Spalte erweitert werden um die Auflsung des Films zu speichern.<br/>";
        echo "<input type=\"hidden\" name=\"Auf\" value=\"1\" />";
    } 
    if($Bil == 1){
        echo "Die Tabelle Filme muss um eine weitere Spalte erweitert werden um das Bildformat des Films zu speichern.<br/>";
        echo "<input type=\"hidden\" name=\"Bil\" value=\"1\" />";
    } 
    if($ovi == 1){
        echo "Es muss ein Konfigurationseintrag fr den Import gesetzt werden um den Importstandard wahlweise berschreiben zu knnen.<br/>";
        echo "<input type=\"hidden\" name=\"ovi\" value=\"1\" />";
    }   
    if($TBr == 1){
        echo "Es muss eine neue Spalte zu der Trailertabelle angefgt werden um trailerspezifische Breiten abzuspeichern.<br/>";
        echo "<input type=\"hidden\" name=\"TBr\" value=\"1\" />";
    } 
    if($THo == 1){
        echo "Es muss eine neue Spalte zu der Trailertabelle angefgt werden um trailerspezifische Hhen abzuspeichern.<br/>";
        echo "<input type=\"hidden\" name=\"THo\" value=\"1\" />";
    } 
    if($EAN == 1){
        echo "Die Tabelle FIlme muss um eine Spalte erweitert werden um die EAN des Films zu speichern.<br/>";
        echo "<input type=\"hidden\" name=\"EAN\" value=\"1\" />";
    } 
    echo "</p>";
    echo "<table>";
    echo "<tr>";
    echo "</table>";
    echo "<p><input type=\"hidden\" name=\"sent\" value=\"1\" /></p>";
    echo "<p style=\"margin-top:2em\"><input class=\"buttonSubmit\" type=\"submit\" name=\"sent\" value=\"Mod installieren\" /></p>";
    echo "</form>";
}
else
{
    echo "<p>Falls kein Fehler aufgetreten ist:</p>";
    echo "<h2>INSTALLATIONSVERZEICHNIS VOM SERVER L&Ouml;SCHEN!</h2>";
// Erluterung der gettigten AKtionen
    if ( isset($_REQUEST['sent']) ) {
        echo "<br/>";
        if ( $_REQUEST['Res'] == 1 ) {
            echo "Die Spalte AdminMessage wurde erfolgreich zu der Tabelle Reservierung hinzugefgt.<br/>";
        }
        if ( $_REQUEST['Res'] == 2 ) {
            echo "Die Tabelle Reservierung wurde erfolgreich angelegt.<br/>";
        }
        if ( $_REQUEST['Res_Usr'] == 1 ) {
            echo "Der Konfigurationseintrag fr die MultiAdmin Cronjobs wurde gesetzt.<br/>";
        }
        if ( $_REQUEST['Res_Ses'] == 1 ) {
            echo "Der Eintrag fr die Erkennung aktiver Sessions wurde gesetzt.<br/>";
        }
        if ( $_REQUEST['Res_Own'] == 1 ) {
            echo "Der Eintrag fr die neue Admin Klasse wurde erfolgreich gesetzt.<br/>";
        }
        if ( $_REQUEST['Res_Ver'] == 1 ) {
            echo "Die strukturellen nderungen wurden erfolgreich durchgefhrt<br/>";
        }
        if ( $_REQUEST['Sor'] == 1 ) {
            echo "Die strukturelle nderungen an der Film Tabelle fr den Sortiertitel Mod wurde erfolgreich durchgefhrt<br/>";
        }
        if ( $_REQUEST['Fsk'] == 1 ) {
            echo "Der Konfigurationseintrag fr die grafische FSK Anzeige wurde gesetzt.<br/>";
        }
        if ( $_REQUEST['Fsk'] == 1 ) {
            echo "Der Konfigurationseintrag fr die grafischen Tondetails wurde gesetzt.<br/>";
        }
        if ( $_REQUEST['Ton'] == 1 ) {
            echo "Die Tabelle Filme_Ton wurde erfolgreich in Filme_Ton_Sprache umbeannant und die Spalte SprachID wurde erfolgreich hinzugefgt. Eine zustzliche Tabelle mit dem Namen Sprache wurde angelegt.<br/>";
        }
        if ( $_REQUEST['Tna'] == 1 ) {
            echo "Die Feldlnge fr den Tonformatnamen wurde erfolgreich erhht.<br/>";
        }
        if ( $_REQUEST['Tbe'] == 1 ) {
            echo "Die Feldlnge fr die Tonformatbeschreibung wurde erfolgreich erhht.<br/>";
        }
        if ( $_REQUEST['Fbe'] == 1 ) {
            echo "Das Feld fr die Formatbeschreibung wurde erfolgreich angelegt.<br/>";
        }
        if ( $_REQUEST['Ton'] == 2 ) {
            echo "Die Tabellen Filme_Ton_Sprache, Sprache und Ton wurden erfolgreich angelegt.<br/>";
        }
        if ( $_REQUEST['Tra'] == 1 ) {
            echo "Die Tabelle Trailer_Typ wurde erfolgreich angelegt.<br/>";
        }
        if ( $_REQUEST['FTr'] == 1 ) {
            echo "Die Tabellen Filme_Trailer_Typ wurde erfolgreich angelegt.<br/>";
        }
        if ( $_REQUEST['sFl'] == 1 ) {
            echo "Der Konfigurationseintrag fr die abschaltbaren Formatlogos wurde erfolgreich gesetzt.<br/>";
        }
        if ( $_REQUEST['Ffu'] == 1 ) {
            echo "Das Feld zum Hinterlegen der Formatlogos wurde erfolgreich angelegt.<br/>";
        }
        if ( $_REQUEST['Sort'] == 1 ) {
            echo "Der Konfigurationseintrag fr die Startseite wurde erfolgreich gesetzt.<br/>";
        }
        if ( $_REQUEST['Ratio'] == 1 ) {
            echo "Der Konfigurationseintrag fr die Reservierungssperre wurde erfolgreich gesetzt.<br/>";
        }
        if ( $_REQUEST['Fav'] == 1 ) {
            echo "Der Konfigurationseintrag fr das Favicon wurde erfolgreich gesetzt.<br/>";
        }
        if ( $_REQUEST['aTr'] == 1 ) {
            echo "Der Konfigurationseintrag fr den Trailer Mod wurde erfolgreich gesetzt.<br/>";
        }
        if ( $_REQUEST['aTd'] == 1 ) {
            echo "Der Konfigurationseintrag fr den Tondetails Mod wurde erfolgreich gesetzt.<br/>";
        }
        if ( $_REQUEST['aSt'] == 1 ) {
            echo "Der Konfigurationseintrag fr den Sortiertitel Mod wurde erfolgreich gesetzt.<br/>";
        }
        if ( $_REQUEST['aRs'] == 1 ) {
            echo "Der Konfigurationseintrag fr den Reservierungs Mod wurde erfolgreich gesetzt.<br/>";
        }
        if ( $_REQUEST['sTh'] == 1 ) {
            echo "Der Konfigurationseintrag fr die Standardhhe des Trailers wurde erfolgreich gesetzt.<br/>";
        }
        if ( $_REQUEST['saf'] == 1 ) {
            echo "Der Konfigurationseintrag fr die Einstellung der Artikel wurde erfolgreich gesetzt.<br/>";
        }
        if ( $_REQUEST['sTb'] == 1 ) {
            echo "Der Konfigurationseintrag fr die Standardbreite des Trailers wurde erfolgreich gesetzt.<br/>";
        }
        if ( $_REQUEST['Tas'] == 1 ) {
            echo "Der Konfigurationseintrag fr den Autostart des Trailers wurde erfolgreich gesetzt.<br/>";
        }
        if ( $_REQUEST['His'] == 1 ) {
            echo "Die Tabelle fr die Verleihhistory wurde erfolgreich angelegt";
            if($row['anz'] !=0)
                echo " und es wurden {$row['anz']} Eintrge bernommen.<br/>";
            else
                echo ".<br/>";
        }
        if ( $_REQUEST['His_Usr'] == 1 ) {
            echo "Die neue Spalte wurde erfolgreich zu der Tabelle User hinzugefgt.<br/>";
        }
        if ( $_REQUEST['His_Adm'] == 1 ) {
            echo "Der Konfigurationseintrag fr die Verleihhistory wurde erfolgreich gesetzt.<br/>";
        }
        if ( $_REQUEST['FUt'] == 1 ) {
            echo "Die Tabelle fr die Untertitel der Filme wurde erfolgreich angelegt.<br/>";
        }
        if ( $_REQUEST['IQu'] == 1 ) {
            echo "Die Tabelle fr die Quellen des konfigurierbaren Importes wurde erfolgreich angelegt.<br/>";
        }
        if ( $_REQUEST['ITy'] == 1 ) {
            echo "Die Tabelle fr die Typen des konfigurierbaren Importes wurden erfolgreich angelegt.<br/>";
        }
        if ( $_REQUEST['IUe'] == 1 ) {
            echo "Die Umschlsselungstabelle fr den konfigurierbaren Import wurde erfolgreich angelegt.<br/>";
        }
        if ( $_REQUEST['Auf'] == 1 ) {
            echo "Die Tabelle Filme wurde um die Spalte Aufloesung erweitert.<br/>";
        }
        if ( $_REQUEST['Bil'] == 1 ) {
            echo "Die Tabelle Filme wurde um die Spalte Bildformat erweitert.<br/>";
        }
        if ( $_REQUEST['ovi'] == 1 ) {
            echo "Der Konfigurationseintrag zum berrschreiben des Standardimportformates wurde gesetzt.<br/>";
        }
        if ( $_REQUEST['TBr'] == 1 ) {
            echo "Der Spalte TrailerBreite wurde erfolgreich an die Tabelle FILME_TRAILER_TYP angefgt.<br/>";
        }
        if ( $_REQUEST['THo'] == 1 ) {
            echo "Der Spalte TrailerHoehe wurde erfolgreich an die Tabelle FILME_TRAILER_TYP angefgt.<br/>";
        }
        if ( $_REQUEST['EAN'] == 1 ) {
            echo "Die Tabelle Filme wurde erfolgreich um die Spalte EAN erweitert.<br/>";
        }
    }

}
}
echo "</div>";
/*
 * COPYRIGHT-HINWEISE DRFEN NICHT VERNDERT WERDEN!
 * LINKS AUF WWW.DER-DOMI.DE MSSEN BESTEHEN BLEIBEN!
 */
printFootline($settings);
echo "</div>";
echo "</body></html>";


$out->put( $out->endBuffer() );


?>