<?php

/*******************************************
 *                                         *
 *     Filmverwaltung mit PHP & MySQL      *
 *                                         *
 *******************************************
 *                                         *
 * Copyright: ab 2005 Dominik Erdmann      *
 *  Internet: www.der-domi.de              *
 *     Email: kontakt@der-domi.de          *
 *                                         *
 *******************************************
 *                                         *
 * Das Skript darf nach eigenem Belieben   *
 * gendert werden. Copyright-Hinweise und *
 * Links auf www.der-domi.de drfen nicht  *
 * verndert werden und mssen jederzeit   *
 * sichtbar bleiben!                       *
 *                                         *
 *******************************************
 */

/*
 * Alles was mit Formate zu tun hat!
 */


if ( $_SESSION['UserRechte'] < 600 )
    exit();

if ( $myVar->MenuID == 594 && isset($_POST['sent']) && $_SESSION['UserRechte'] >= 600 )
{
    if ( isset($_POST['FormatName']) )
    {
        if ( strlen($_REQUEST['FormatName']) <= 2 )
            $myVar->warnung[] = "Ung&uuml;ltiger Name. Mindestens drei Zeichen";
        else
        {
            // HTML-Zeichen konventieren
            $FormatName = htmlentities( $_REQUEST['FormatName'] );
            $FormatBeschreibung = htmlentities( $_REQUEST['FormatBeschreibung'] );
            $FormatLogoURL = htmlentities( $_REQUEST['FormatLogoURL'] );           
            $sql = "SELECT COUNT(*) AS ANZ FROM $myDB->FORMATE WHERE Bezeichnung = '$FormatName'";
            $rs = $myDB->go($sql);
            $row = $myDB->getRow($rs);
            
            if ( $row['ANZ'] > 0 )
                $myVar->warnung[] = "Format existiert bereits! Vorgang ung&uuml;ltig!";
            else if ( isset($_REQUEST['addFormat']) )
            {
                $sql = "INSERT INTO $myDB->FORMATE (Bezeichnung, brauchtPrivileg, Beschreibung, FormatURL) VALUES ('$FormatName', 1, '$FormatBeschreibung', '$cover_dir')";
                $myDB->go($sql);
                $id = mysql_insert_id();
                
                if ( isset($_FILES['Logo']) && !$_FILES['Logo']['error'] )
                  insertLogo( 'Formate',$myDB, $myVar, $FormatName);

                if ( strlen($_POST['FormatLogoURL']) && $_POST['FormatLogoURL'] != 'http://' ) {
                    $urls = split(";", $_POST['FormatLogoURL']);
                    foreach($urls as $url) {
                      insertLogo( 'Formate',$myDB, $myVar, $FormatName, trim($url) );
                    }       
                }
            }
        }
    } else if ( isset($_REQUEST['renameFormat']) ) {
      // HTML-Zeichen konventieren
      $FormatName = htmlentities( $_REQUEST['FormatNameNeu'] );
      $FormatBeschreibung = htmlentities( $_REQUEST['FormatBeschreibung'] );
      $FormatLogoURL = htmlentities( $_REQUEST['FormatLogoURL'] );

     	if ( strlen($_POST['FormatLogoURL']) && $_POST['FormatLogoURL'] != 'http://' || isset($_FILES['Logo']) && !$_FILES['Logo']['error']) { 
        $sql2 = "SELECT FormatURL FROM $myDB->FORMATE WHERE FormatID = {$_REQUEST['FormatID']}";
        $rs2 = $myDB->go($sql2);
        $row2 = $myDB->getRow($rs2);
        $sql = "UPDATE $myDB->FORMATE SET Bezeichnung = '$FormatName', Beschreibung = '$FormatBeschreibung', FormatURL = '$cover_dir' WHERE FormatID = {$_REQUEST['FormatID']}";
        $myDB->go($sql);

        if ( isset($_FILES['Logo']) && !$_FILES['Logo']['error'] ) {
          unlink($row2['FormatURL']);
          insertLogo( 'Formate',$myDB, $myVar, $FormatName);
        }

        if ( strlen($_POST['FormatLogoURL']) && $_POST['FormatLogoURL'] != 'http://' ) {
          unlink($row2['FormatURL']);
          $urls = split(";", $_POST['FormatLogoURL']);
          foreach($urls as $url) {
          insertLogo( 'Formate',$myDB, $myVar, $FormatName, trim($url) );
          }
        }
      } else {
	      $sql = "UPDATE $myDB->FORMATE SET Bezeichnung = '$FormatName', Beschreibung = '$FormatBeschreibung' WHERE FormatID = {$_REQUEST['FormatID']}";
        $myDB->go($sql);
        $myVar->erfolg[] = "Das Format wurde in $FormatName umbenannt.";
      }
    }
    
    if ( isset($_POST['istStandardFormat']) )
    {
        $sql = "UPDATE $myDB->FORMATE SET istStandard = 1 WHERE FormatID = {$_REQUEST['setFormatID']}";
        $rs = $myDB->go($sql);
        
        $sql = "UPDATE $myDB->FORMATE SET istStandard = 0 WHERE FormatID != {$_REQUEST['setFormatID']}";
        $rs = $myDB->go($sql);
        
        $sql = "SELECT Bezeichnung FROM $myDB->FORMATE WHERE FormatID = {$_REQUEST['setFormatID']}";
        $rs = $myDB->go($sql);
        $row = $myDB->getRow($rs);
        $myVar->erfolg[] = "Das Standardformat ist jetzt auf $row[Bezeichnung] gesetzt.";
    }
    
    if ( isset($_REQUEST['PrivilegFormat']) )
    {
        // brauchtPrivileg kontrollieren
        if ( (int)$_REQUEST['brauchtPrivileg'] >= 0 && (int)$_REQUEST['brauchtPrivileg'] <= 99 )
             $brauchtPrivileg = (int)$_REQUEST['brauchtPrivileg'];
        else
            $brauchtPrivileg = 1;
        if ( $_REQUEST['brauchtPrivileg'] == '' )
            $brauchtPrivileg = 1;
        
        $sql = "UPDATE $myDB->FORMATE SET brauchtPrivileg = $brauchtPrivileg WHERE FormatID = {$_REQUEST['setFormatID']}";
        $rs = $myDB->go($sql);
                
        $sql = "SELECT Bezeichnung FROM $myDB->FORMATE WHERE FormatID = {$_REQUEST['setFormatID']}";
        $rs = $myDB->go($sql);
        $row = $myDB->getRow($rs);
        $myVar->erfolg[] = "Das Privilieg fr Format $row[Bezeichnung] wurde auf $brauchtPrivileg gesetzt.";
    }
    
    if ( isset($_POST['deleteFormat']) )
    {
        $sql = "SELECT COUNT(*) AS ANZ FROM $myDB->FILME WHERE FORMATE_FormatID = {$_REQUEST['setFormatID']}";
        $rs = $myDB->go($sql);
        $row = $myDB->getRow($rs);
        if ( $row['ANZ'] > 0 )
            $myVar->hinweis[] = "Dieses Format enth&auml;lt noch {$row['ANZ']} Zuordnungen. Kann nicht gel&ouml;scht werden!";
        else
        {
            $sql = "SELECT COUNT(*) AS ANZ FROM $myDB->FORMATE WHERE FormatID != {$_REQUEST['setFormatID']}";
            $rs = $myDB->go($sql);
            $row = $myDB->getRow($rs);
            if ( $row['ANZ'] == 0 )
                $myVar->hinweis[] = "Format kann nicht gel&ouml;scht werden, da es das Einzigste ist!";
            else
            {
                $sql = "SELECT COUNT(*) AS Anz FROM $myDB->FORMATE WHERE FormatID = {$_REQUEST['setFormatID']} AND istStandard=1";
                $rs = $myDB->go($sql);
                $row = $myDB->getRow($rs);
                
                if ( $row['Anz'] == 1 )
                	$myVar->hinweis[] = "Format kann nicht gel&ouml;scht werden, da es als Standard deklariert ist!";
                else
                {
        	        $sql = "SELECT FormatURL, Bezeichnung FROM $myDB->FORMATE WHERE FormatID = {$_REQUEST['setFormatID']}";
        	        $rs = $myDB->go($sql);
        	        $row = $myDB->getRow($rs);
        	 
                	$sql = "DELETE FROM $myDB->FORMATE WHERE FormatID = {$_REQUEST['setFormatID']}";
                	$myDB->go($sql);
                	unlink($row[FormatURL]);
                  	$myVar->erfolg[] = "Das Format $row[Bezeichnung] wurde gel&ouml;scht.";
                }
            }
        }
    }
}

?>
