<?php

/*******************************************
 *                                         *
 *     Filmverwaltung mit PHP & MySQL      *
 *                                         *
 *******************************************
 *                                         *
 * Copyright: ab 2005 Dominik Erdmann      *
 *  Internet: www.der-domi.de              *
 *     Email: kontakt@der-domi.de          *
 *                                         *
 *******************************************
 *                                         *
 * Das Skript darf nach eigenem Belieben   *
 * gendert werden. Copyright-Hinweise und *
 * Links auf www.der-domi.de drfen nicht  *
 * verndert werden und mssen jederzeit   *
 * sichtbar bleiben!                       *
 *                                         *
 *******************************************
 */

/*
 * ausgeliehenen Filme anzeigen und bearbeiten
 */


if ( $_SESSION['UserRechte'] < 900 && 
     !( $_SESSION['UserRechte'] == 600 && $settings->AdminCanDistribute )
   )
    exit();

if($settings->activateSortierTitel)
  $titel = 'Sortiertitel';
else
  $titel = 'Titel';


if ( $myVar->MenuID == 897 )
{
    $var = array();
    $var = $myVar->getRequest($var,TRUE); 

    echo "<table style=\"width:100%;\" >";    
    echo "<tr>";
    echo "<td style=\"vertical-align:top; padding: 3em;\">";
    
    echo "<form method=\"get\" action=\"{$_SERVER['PHP_SELF']}\">";
    echo $var;

    echo "<table class=\"insertFilm;\">";    
    echo "<tr>";
    echo "<td colspan=\"2\" class=\"description_Filmeinfuegen\" style=\"padding:0px 0px 10px 0px; text-align:left; vertical-align:top;\">";
    echo "<span class=\"hover3a\">&raquo;&nbsp;&nbsp;</span>Film ausleihen";
    echo "</td>";   
    echo "</tr>";   
    echo "<tr>";
    echo "<td style=\"width:40%;\" class=\"description_Filmeinfuegen\">FilmID</td>";
    echo "<td><input style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; height: 15px; width: 50px; background-color: #FFFFFF;\" type=\"text\" name=\"myFilmID\" value=\"";
    if ( isset($_REQUEST) && array_key_exists( 'myFilmID' , $_REQUEST ) )
        echo $_REQUEST['myFilmID'];
    else
        echo $myVar->myFilmIDstring;
    echo "\" /><span style=\"font-size: 0.82em; font-family: Tahoma;\"> (mit KollektionsID, Bespiel: 1-028, oder 2-028)</span></td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td class=\"description_Filmeinfuegen\">Benutzer</td>";
    echo "<td>";
    echo "<select style=\"border: 1px solid #999999; font-family: Verdana,Arial,Helvetica,sans-serif; font-size: 10px; font-style: normal; line-height: 12px; color: black; clear: none; float: none; width: 330px; background-color: #FFFFFF; margin: 0; padding: 0; vertical-align:middle\" name=\"UserID\">";
    $sql = "SELECT * FROM $myDB->USERS ORDER BY UserName";
    $rs = $myDB->go($sql);
    while( $row = $myDB->getRow($rs) )
    {
        echo "<option value=\"{$row['UserID']}\"";
        if ( array_key_exists( 'UserID' , $_REQUEST ) && $row['UserID'] == $_GET['UserID'] )
            echo "selected=\"selected\" style=\"font-weight:bold\"";
        echo ">{$row['UserName']} ({$row['Email']})</option>";
    }
    
    echo "</select>";
    echo "</td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td colspan=\"2\" style=\"padding:10px 0px 0px 0px;\"><input class=\"buttonSubmitAktion\"  type=\"submit\" value=\"eintragen\" /></td>";
    echo "</tr>";
    echo "</table>";
    echo "<input type=\"hidden\" name=\"set\" value=\"1\" />";
    echo "</form>";
    echo "</td>";
    echo "</tr>";
    echo "</table>";


    echo "<table style=\"border-top:1px solid black; width:100%;\">";    
    echo "<tr>";
    echo "<td style=\"vertical-align:top; padding: 3em;\">";

    echo "<table style=\"width:100%;\">";    
    echo "<tr>";
    echo "<td colspan=\"2\" class=\"description_Verliehen\" style=\"padding:0px 0px 10px 0px; text-align:left; vertical-align:top;\">";

    
    
    // zhlen wieviele Filme insegsamt verliehen sind
    if ($_SESSION['ownFilms'] == 0) {
        $sql = "SELECT COUNT(*) AS Anz FROM $myDB->DISCS di WHERE di.USERS_UserID != 0 GROUP BY FILME_FilmID";
    } else {
        $sql = "SELECT COUNT(*) AS Anz FROM $myDB->DISCS di INNER JOIN $myDB->FILME fi ON di.FILME_FilmID = fi.FilmID WHERE di.USERS_UserID != 0 AND fi.USERS_UserID = {$_SESSION['UserID']} GROUP BY di.FILME_FilmID";
    }
    $rs = $myDB->go($sql);
    $anzFilme=0;
    while ( $row = $myDB->getRow($rs) )
        ++$anzFilme;
    
    if ($_SESSION['ownFilms'] == 0) {
        $sql = "SELECT COUNT(*) AS Anz FROM $myDB->DISCS di WHERE di.USERS_UserID != 0";
    } else {
        $sql = "SELECT COUNT(*) AS Anz FROM $myDB->DISCS di INNER JOIN $myDB->FILME fi ON di.FILME_FilmID = fi.FilmID WHERE di.USERS_UserID != 0 AND fi.USERS_UserID = {$_SESSION['UserID']}";
    }
    $rs = $myDB->go($sql);
    $row = $myDB->getRow($rs);

    if ( $anzFilme > 0 )
    {
       
        if ( $anzFilme == 1 ) {
            echo "<span class=\"hover3a\">&raquo;&nbsp;&nbsp;</span>ein verliehener Film";
            if ( $row['Anz'] > 1 )
                echo " ({$row['Anz']} Disks)";
        }
        else {
            echo "<span class=\"hover3a\">&raquo;&nbsp;&nbsp;</span>$anzFilme verliehene Filme";
            if ( $row['Anz'] > 1 )
                echo " ({$row['Anz']} Disks)";
        }
    }

    echo "</td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td colspan=\"2\" style=\"padding:0px 0px 10px 0px; text-align:left; vertical-align:top;\">";

    echo "<div id=\"verliehen\">";
    if ( $anzFilme > 0)
    {
        echo "<ul>";
        if ($_SESSION['ownFilms'] == 0) {
            $sql = "SELECT DISTINCT us.UserID, us.UserName FROM $myDB->DISCS di INNER JOIN $myDB->USERS us ON us.UserID = di.USERS_UserID ORDER BY us.UserName";
        } else {
            $sql = "SELECT DISTINCT us.UserID, us.UserName FROM $myDB->DISCS di INNER JOIN $myDB->USERS us ON us.UserID = di.USERS_UserID INNER JOIN $myDB->FILME fi ON di.FILME_FilmID = fi.FilmID WHERE fi.USERS_UserID = {$_SESSION['UserID']} ORDER BY us.UserName";
        }
        $rs = $myDB->go($sql);
        
        for( $i = 0; $row = $myDB->getRow($rs); ++$i )
        {
            echo "<li>{$row['UserName']} hat ";
            if($_SESSION['ownFilms'] == 0) {
                $sql3 = "SELECT COUNT(*) AS Anz FROM $myDB->DISCS di WHERE di.USERS_UserID = {$row['UserID']} GROUP BY di.FILME_FilmID"; 
            } else {
                $sql3 = "SELECT COUNT(*) AS Anz FROM $myDB->DISCS di INNER JOIN $myDB->FILME fi ON di.FILME_FilmID = fi.FilmID WHERE di.USERS_UserID = {$row['UserID']} AND fi.USERS_UserID = {$_SESSION['UserID']} GROUP BY di.FILME_FilmID"; 
            }
            $rs3 = $myDB->go($sql3); 
            $row3['Anz'] = mysql_num_rows($rs3);
            //$row3 = $myDB->getRow($rs3);
            if ( $row3['Anz'] == 1 )
                echo "einen Film ";
            else
                echo $row3['Anz']." Filme ";
            
            if ($_SESSION['ownFilms'] == 0) {
                $sql3 = "SELECT DISTINCT COUNT(*) AS Anz FROM $myDB->DISCS WHERE USERS_UserID = {$row['UserID']}";
            } else {
                $sql3 = "SELECT DISTINCT COUNT(*) AS Anz FROM $myDB->DISCS di INNER JOIN $myDB->FILME fi ON di.FILME_FilmID = fi.FilmID WHERE di.USERS_UserID = {$row['UserID']} AND fi.USERS_UserID = {$_SESSION['UserID']}";
            }
            $rs3 = $myDB->go($sql3);
            $row3 = $myDB->getRow($rs3);
            if ( $row3['Anz'] != 1 )
                echo "(".$row3['Anz']." Disks)";
            
            if ($_SESSION['ownFilms'] == 0) {
                $sql2 = "SELECT DISTINCT FilmID, COLLECT_CollectID, myFilmID, Titel, ausgeliehenAm FROM $myDB->FILME fi INNER JOIN $myDB->DISCS di ON FILME_FilmID=FilmID WHERE di.USERS_UserID = {$row['UserID']} ORDER BY $titel";
            } else {
                $sql2 = "SELECT DISTINCT FilmID, COLLECT_CollectID, myFilmID, Titel, ausgeliehenAm FROM $myDB->FILME fi INNER JOIN $myDB->DISCS di ON FILME_FilmID=FilmID WHERE di.USERS_UserID = {$row['UserID']} AND fi.USERS_UserID = {$_SESSION['UserID']} ORDER BY $titel";
            }
            $rs2 = $myDB->go($sql2);
            echo "<br /><br /><ul>";
            while( $row2 = $myDB->getRow($rs2) )
            {
                $var = array();
                $var['MenuID'] = 280;
                $var['FilmID'] = $row2['FilmID'];
                $var = $myVar->getRequest($var);
                
                if($settings->showArtikelFirst)
                  $row2['Titel'] = PrependStrippedArticle($row2['Titel']); 
    
                echo "<li>";
                echo "<span id=\"Filmlink\" style=\"margin:0\"><a href=\"{$_SERVER['PHP_SELF']}?$var\">";
                echo $row2['Titel']." (FilmID: ".$row2['COLLECT_CollectID']."-".getAnzStellenID( $row2['myFilmID'], $settings ).")";
                echo "</a></span><br />";
                
                $var = array();
                $var['FilmID'] = $row2['FilmID'];
                $var = $myVar->getRequest($var)."get=1&amp;UserID={$row['UserID']}"; 
                
                echo "<span style=\"padding:0px 0px 0px 30px; font-size:0.81em\"><a href=\"{$_SERVER['PHP_SELF']}?$var\"><span style=\"font-weight:bold; color:#204777\">- zur&uuml;ckgeben</span>";
                echo " (DiskID: <span style=\"font-weight:bold;\">".getDiscID( $row2['FilmID'], $myDB, $settings )."</span>)</a> - verliehen seit ". formatDate( $row2['ausgeliehenAm'] );
                if ( $myDB->MySQL_Ver )
                    echo " (".getDaysInWeeks( getDaysFromToday( $row2['ausgeliehenAm'], $myDB ) ).")";
                echo "</span>";
                echo "</li>";
            }
            echo "</ul>";
            echo "</li>";
        }
        echo "</ul>";
    }
        echo "</div>";
        echo "</td>";
        echo "</tr>";
        echo "</table>";
        echo "</td>";
        echo "</tr>";
        echo "</table>";
}


?>
